/***************************************************************************
 *     Copyright (c) 1999-2004, Broadcom Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Wed Jul  7 18:17:53 2004
 *                 MD5 Checksum         b4daf7cc216919619f87acb5ee50e9d5
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.006
 *                 Operating System     solaris
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/7038/rdb/c0/bchp_rac.h $
 * 
 * Hydra_Software_Devel/1   7/7/04 7:41p pntruong
 * PR11801: Create 7038 C0 header files.
 *
 ***************************************************************************/

#ifndef BCHP_RAC_H__
#define BCHP_RAC_H__

/***************************************************************************
 *RAC - RAC Registers
 ***************************************************************************/
#define BCHP_RAC_EXCEPTION_VECTOR_OFFSET         0x00000400 /* Exception Vector Offset Address */
#define BCHP_RAC_MODE                            0x00000404 /* Mode register of RAC */
#define BCHP_RAC_CACHEABLE_SPACE                 0x00000408 /* Cacheable Range Register */
#define BCHP_RAC_COMMAND                         0x0000040c /* RAC Command Register. */
#define BCHP_RAC_COMMAND_STATUS                  0x00000410 /* RAC Dummy Register. */
#define BCHP_RAC_BLK_ADDR                        0x00000414 /* RAC Block Address Register */
#define BCHP_RAC_BLK_FIND_RESULT                 0x00000418 /* Block Search Result */
#define BCHP_RAC_BLK_READ_PARAMS                 0x0000041c /* Block parameters for READ_BLK_TAG command */
#define BCHP_RAC_BLK_READ_RESULT                 0x00000420 /* READ_BLK_TAG command result register */
#define BCHP_RAC_VALID_FWD_STATUS                0x00000424 /* Status of VALID and FORWARD Flags */
#define BCHP_RAC_LRU_WB_STATUS                   0x00000428 /* Status of LRU Flags and the write buffer */
#define BCHP_RAC_PROCESSOR_ID                    0x0000042c /* Processor ID Register. */
#define BCHP_RAC_CORE_REV_ID                     0x0000043c /* RAC-Core  Revision ID Register. */

/***************************************************************************
 *EXCEPTION_VECTOR_OFFSET - Exception Vector Offset Address
 ***************************************************************************/
/* RAC :: EXCEPTION_VECTOR_OFFSET :: ADDRS [31:00] */
#define BCHP_RAC_EXCEPTION_VECTOR_OFFSET_ADDRS_MASK                0xffffffff
#define BCHP_RAC_EXCEPTION_VECTOR_OFFSET_ADDRS_SHIFT               0

/***************************************************************************
 *MODE - Mode register of RAC
 ***************************************************************************/
/* RAC :: MODE :: reserved0 [31:08] */
#define BCHP_RAC_MODE_reserved0_MASK                               0xffffff00
#define BCHP_RAC_MODE_reserved0_SHIFT                              8

/* RAC :: MODE :: PREF_EN [07:07] */
#define BCHP_RAC_MODE_PREF_EN_MASK                                 0x00000080
#define BCHP_RAC_MODE_PREF_EN_SHIFT                                7
#define BCHP_RAC_MODE_PREF_EN_DISABLED                             0
#define BCHP_RAC_MODE_PREF_EN_ENABLED                              1

/* RAC :: MODE :: RD_CACHE_DATA_EN [06:06] */
#define BCHP_RAC_MODE_RD_CACHE_DATA_EN_MASK                        0x00000040
#define BCHP_RAC_MODE_RD_CACHE_DATA_EN_SHIFT                       6
#define BCHP_RAC_MODE_RD_CACHE_DATA_EN_DISABLED                    0
#define BCHP_RAC_MODE_RD_CACHE_DATA_EN_ENABLED                     1

/* RAC :: MODE :: RD_CACHE_SNGL_EN [05:05] */
#define BCHP_RAC_MODE_RD_CACHE_SNGL_EN_MASK                        0x00000020
#define BCHP_RAC_MODE_RD_CACHE_SNGL_EN_SHIFT                       5
#define BCHP_RAC_MODE_RD_CACHE_SNGL_EN_DISABLED                    0
#define BCHP_RAC_MODE_RD_CACHE_SNGL_EN_ENABLED                     1

/* RAC :: MODE :: RD_CACHE_EN [04:04] */
#define BCHP_RAC_MODE_RD_CACHE_EN_MASK                             0x00000010
#define BCHP_RAC_MODE_RD_CACHE_EN_SHIFT                            4
#define BCHP_RAC_MODE_RD_CACHE_EN_DISABLED                         0
#define BCHP_RAC_MODE_RD_CACHE_EN_ENABLED                          1

/* RAC :: MODE :: WB_BRST_EN [03:03] */
#define BCHP_RAC_MODE_WB_BRST_EN_MASK                              0x00000008
#define BCHP_RAC_MODE_WB_BRST_EN_SHIFT                             3
#define BCHP_RAC_MODE_WB_BRST_EN_DISABLED                          0
#define BCHP_RAC_MODE_WB_BRST_EN_ENABLED                           1

/* RAC :: MODE :: WB_ALL_EN [02:02] */
#define BCHP_RAC_MODE_WB_ALL_EN_MASK                               0x00000004
#define BCHP_RAC_MODE_WB_ALL_EN_SHIFT                              2
#define BCHP_RAC_MODE_WB_ALL_EN_DISABLED                           0
#define BCHP_RAC_MODE_WB_ALL_EN_ENABLED                            1

/* RAC :: MODE :: WR_DATA_WAIT [01:01] */
#define BCHP_RAC_MODE_WR_DATA_WAIT_MASK                            0x00000002
#define BCHP_RAC_MODE_WR_DATA_WAIT_SHIFT                           1

/* RAC :: MODE :: RD_DATA_WAIT [00:00] */
#define BCHP_RAC_MODE_RD_DATA_WAIT_MASK                            0x00000001
#define BCHP_RAC_MODE_RD_DATA_WAIT_SHIFT                           0

/***************************************************************************
 *CACHEABLE_SPACE - Cacheable Range Register
 ***************************************************************************/
/* RAC :: CACHEABLE_SPACE :: ROOF [31:16] */
#define BCHP_RAC_CACHEABLE_SPACE_ROOF_MASK                         0xffff0000
#define BCHP_RAC_CACHEABLE_SPACE_ROOF_SHIFT                        16

/* RAC :: CACHEABLE_SPACE :: FLOOR [15:00] */
#define BCHP_RAC_CACHEABLE_SPACE_FLOOR_MASK                        0x0000ffff
#define BCHP_RAC_CACHEABLE_SPACE_FLOOR_SHIFT                       0

/***************************************************************************
 *COMMAND - RAC Command Register.
 ***************************************************************************/
/* RAC :: COMMAND :: reserved0 [31:04] */
#define BCHP_RAC_COMMAND_reserved0_MASK                            0xfffffff0
#define BCHP_RAC_COMMAND_reserved0_SHIFT                           4

/* RAC :: COMMAND :: FIND_BLK [03:03] */
#define BCHP_RAC_COMMAND_FIND_BLK_MASK                             0x00000008
#define BCHP_RAC_COMMAND_FIND_BLK_SHIFT                            3

/* RAC :: COMMAND :: READ_BLK_TAG [02:02] */
#define BCHP_RAC_COMMAND_READ_BLK_TAG_MASK                         0x00000004
#define BCHP_RAC_COMMAND_READ_BLK_TAG_SHIFT                        2

/* RAC :: COMMAND :: INVALIDATE_BLK [01:01] */
#define BCHP_RAC_COMMAND_INVALIDATE_BLK_MASK                       0x00000002
#define BCHP_RAC_COMMAND_INVALIDATE_BLK_SHIFT                      1

/* RAC :: COMMAND :: INVALIDATE_ALL [00:00] */
#define BCHP_RAC_COMMAND_INVALIDATE_ALL_MASK                       0x00000001
#define BCHP_RAC_COMMAND_INVALIDATE_ALL_SHIFT                      0

/***************************************************************************
 *COMMAND_STATUS - RAC Dummy Register.
 ***************************************************************************/
/* RAC :: COMMAND_STATUS :: reserved0 [31:04] */
#define BCHP_RAC_COMMAND_STATUS_reserved0_MASK                     0xfffffff0
#define BCHP_RAC_COMMAND_STATUS_reserved0_SHIFT                    4

/* RAC :: COMMAND_STATUS :: FIND_BLK_STATUS [03:03] */
#define BCHP_RAC_COMMAND_STATUS_FIND_BLK_STATUS_MASK               0x00000008
#define BCHP_RAC_COMMAND_STATUS_FIND_BLK_STATUS_SHIFT              3

/* RAC :: COMMAND_STATUS :: READ_BLK_TAG_STATUS [02:02] */
#define BCHP_RAC_COMMAND_STATUS_READ_BLK_TAG_STATUS_MASK           0x00000004
#define BCHP_RAC_COMMAND_STATUS_READ_BLK_TAG_STATUS_SHIFT          2

/* RAC :: COMMAND_STATUS :: INVALIDATE_BLK_STATUS [01:01] */
#define BCHP_RAC_COMMAND_STATUS_INVALIDATE_BLK_STATUS_MASK         0x00000002
#define BCHP_RAC_COMMAND_STATUS_INVALIDATE_BLK_STATUS_SHIFT        1

/* RAC :: COMMAND_STATUS :: INVALIDATE_ALL_STATUS [00:00] */
#define BCHP_RAC_COMMAND_STATUS_INVALIDATE_ALL_STATUS_MASK         0x00000001
#define BCHP_RAC_COMMAND_STATUS_INVALIDATE_ALL_STATUS_SHIFT        0

/***************************************************************************
 *BLK_ADDR - RAC Block Address Register
 ***************************************************************************/
/* RAC :: BLK_ADDR :: TAG [31:10] */
#define BCHP_RAC_BLK_ADDR_TAG_MASK                                 0xfffffc00
#define BCHP_RAC_BLK_ADDR_TAG_SHIFT                                10

/* RAC :: BLK_ADDR :: INDEX [09:07] */
#define BCHP_RAC_BLK_ADDR_INDEX_MASK                               0x00000380
#define BCHP_RAC_BLK_ADDR_INDEX_SHIFT                              7

/* RAC :: BLK_ADDR :: reserved0 [06:00] */
#define BCHP_RAC_BLK_ADDR_reserved0_MASK                           0x0000007f
#define BCHP_RAC_BLK_ADDR_reserved0_SHIFT                          0

/***************************************************************************
 *BLK_FIND_RESULT - Block Search Result
 ***************************************************************************/
/* RAC :: BLK_FIND_RESULT :: reserved0 [31:05] */
#define BCHP_RAC_BLK_FIND_RESULT_reserved0_MASK                    0xffffffe0
#define BCHP_RAC_BLK_FIND_RESULT_reserved0_SHIFT                   5

/* RAC :: BLK_FIND_RESULT :: BLK_FOUND [04:04] */
#define BCHP_RAC_BLK_FIND_RESULT_BLK_FOUND_MASK                    0x00000010
#define BCHP_RAC_BLK_FIND_RESULT_BLK_FOUND_SHIFT                   4

/* RAC :: BLK_FIND_RESULT :: WAY_ID [03:03] */
#define BCHP_RAC_BLK_FIND_RESULT_WAY_ID_MASK                       0x00000008
#define BCHP_RAC_BLK_FIND_RESULT_WAY_ID_SHIFT                      3

/* RAC :: BLK_FIND_RESULT :: SET_ID [02:00] */
#define BCHP_RAC_BLK_FIND_RESULT_SET_ID_MASK                       0x00000007
#define BCHP_RAC_BLK_FIND_RESULT_SET_ID_SHIFT                      0

/***************************************************************************
 *BLK_READ_PARAMS - Block parameters for READ_BLK_TAG command
 ***************************************************************************/
/* RAC :: BLK_READ_PARAMS :: reserved0 [31:04] */
#define BCHP_RAC_BLK_READ_PARAMS_reserved0_MASK                    0xfffffff0
#define BCHP_RAC_BLK_READ_PARAMS_reserved0_SHIFT                   4

/* RAC :: BLK_READ_PARAMS :: WAY_ID [03:03] */
#define BCHP_RAC_BLK_READ_PARAMS_WAY_ID_MASK                       0x00000008
#define BCHP_RAC_BLK_READ_PARAMS_WAY_ID_SHIFT                      3

/* RAC :: BLK_READ_PARAMS :: SET_ID [02:00] */
#define BCHP_RAC_BLK_READ_PARAMS_SET_ID_MASK                       0x00000007
#define BCHP_RAC_BLK_READ_PARAMS_SET_ID_SHIFT                      0

/***************************************************************************
 *BLK_READ_RESULT - READ_BLK_TAG command result register
 ***************************************************************************/
/* RAC :: BLK_READ_RESULT :: reserved0 [31:25] */
#define BCHP_RAC_BLK_READ_RESULT_reserved0_MASK                    0xfe000000
#define BCHP_RAC_BLK_READ_RESULT_reserved0_SHIFT                   25

/* RAC :: BLK_READ_RESULT :: TAG_VALUE_VALID [24:24] */
#define BCHP_RAC_BLK_READ_RESULT_TAG_VALUE_VALID_MASK              0x01000000
#define BCHP_RAC_BLK_READ_RESULT_TAG_VALUE_VALID_SHIFT             24

/* RAC :: BLK_READ_RESULT :: reserved1 [23:22] */
#define BCHP_RAC_BLK_READ_RESULT_reserved1_MASK                    0x00c00000
#define BCHP_RAC_BLK_READ_RESULT_reserved1_SHIFT                   22

/* RAC :: BLK_READ_RESULT :: TAG_VALUE [21:00] */
#define BCHP_RAC_BLK_READ_RESULT_TAG_VALUE_MASK                    0x003fffff
#define BCHP_RAC_BLK_READ_RESULT_TAG_VALUE_SHIFT                   0

/***************************************************************************
 *VALID_FWD_STATUS - Status of VALID and FORWARD Flags
 ***************************************************************************/
/* RAC :: VALID_FWD_STATUS :: FWD_FLAGS_WAY1 [31:24] */
#define BCHP_RAC_VALID_FWD_STATUS_FWD_FLAGS_WAY1_MASK              0xff000000
#define BCHP_RAC_VALID_FWD_STATUS_FWD_FLAGS_WAY1_SHIFT             24

/* RAC :: VALID_FWD_STATUS :: FWD_FLAGS_WAY0 [23:16] */
#define BCHP_RAC_VALID_FWD_STATUS_FWD_FLAGS_WAY0_MASK              0x00ff0000
#define BCHP_RAC_VALID_FWD_STATUS_FWD_FLAGS_WAY0_SHIFT             16

/* RAC :: VALID_FWD_STATUS :: VALID_FLAGS_WAY1 [15:08] */
#define BCHP_RAC_VALID_FWD_STATUS_VALID_FLAGS_WAY1_MASK            0x0000ff00
#define BCHP_RAC_VALID_FWD_STATUS_VALID_FLAGS_WAY1_SHIFT           8

/* RAC :: VALID_FWD_STATUS :: VALID_FLAGS_WAY0 [07:00] */
#define BCHP_RAC_VALID_FWD_STATUS_VALID_FLAGS_WAY0_MASK            0x000000ff
#define BCHP_RAC_VALID_FWD_STATUS_VALID_FLAGS_WAY0_SHIFT           0

/***************************************************************************
 *LRU_WB_STATUS - Status of LRU Flags and the write buffer
 ***************************************************************************/
/* RAC :: LRU_WB_STATUS :: reserved0 [31:11] */
#define BCHP_RAC_LRU_WB_STATUS_reserved0_MASK                      0xfffff800
#define BCHP_RAC_LRU_WB_STATUS_reserved0_SHIFT                     11

/* RAC :: LRU_WB_STATUS :: WB_DEPTH [10:08] */
#define BCHP_RAC_LRU_WB_STATUS_WB_DEPTH_MASK                       0x00000700
#define BCHP_RAC_LRU_WB_STATUS_WB_DEPTH_SHIFT                      8

/* RAC :: LRU_WB_STATUS :: LRU_FLAGS [07:00] */
#define BCHP_RAC_LRU_WB_STATUS_LRU_FLAGS_MASK                      0x000000ff
#define BCHP_RAC_LRU_WB_STATUS_LRU_FLAGS_SHIFT                     0

/***************************************************************************
 *PROCESSOR_ID - Processor ID Register.
 ***************************************************************************/
/* RAC :: PROCESSOR_ID :: reserved0 [31:08] */
#define BCHP_RAC_PROCESSOR_ID_reserved0_MASK                       0xffffff00
#define BCHP_RAC_PROCESSOR_ID_reserved0_SHIFT                      8

/* RAC :: PROCESSOR_ID :: ID [07:00] */
#define BCHP_RAC_PROCESSOR_ID_ID_MASK                              0x000000ff
#define BCHP_RAC_PROCESSOR_ID_ID_SHIFT                             0

/***************************************************************************
 *CORE_REV_ID - RAC-Core  Revision ID Register.
 ***************************************************************************/
/* RAC :: CORE_REV_ID :: reserved0 [31:16] */
#define BCHP_RAC_CORE_REV_ID_reserved0_MASK                        0xffff0000
#define BCHP_RAC_CORE_REV_ID_reserved0_SHIFT                       16

/* RAC :: CORE_REV_ID :: MAJOR [15:08] */
#define BCHP_RAC_CORE_REV_ID_MAJOR_MASK                            0x0000ff00
#define BCHP_RAC_CORE_REV_ID_MAJOR_SHIFT                           8

/* RAC :: CORE_REV_ID :: MINOR [07:00] */
#define BCHP_RAC_CORE_REV_ID_MINOR_MASK                            0x000000ff
#define BCHP_RAC_CORE_REV_ID_MINOR_SHIFT                           0

#endif /* #ifndef BCHP_RAC_H__ */

/* End of File */
