/***************************************************************************
 *     Copyright (c) 1999-2010, Broadcom Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Wed Mar 17 19:28:16 2010
 *                 MD5 Checksum         443aaca50fc00860d3420cb5f60ef99c
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/7631/rdb/b0/bchp_clk.h $
 * 
 * Hydra_Software_Devel/1   3/17/10 8:28p albertl
 * SWBLURAY-19573: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_CLK_H__
#define BCHP_CLK_H__

/***************************************************************************
 *CLK - CLOCK_GEN Registers
 ***************************************************************************/
#define BCHP_CLK_REVISION                        0x00070000 /* clock_gen Revision register */
#define BCHP_CLK_PM_CTRL                         0x00070004 /* Software power management control to turn off 108 MHz clocks */
#define BCHP_CLK_PM_CTRL_1                       0x00070008 /* Software power management control to turn off various clocks */
#define BCHP_CLK_PM_CTRL_2                       0x0007000c /* Software power management control to turn off or select various clocks */
#define BCHP_CLK_PM_CTRL_216                     0x00070010 /* Software power management control to turn off 216 MHz clocks */
#define BCHP_CLK_WAKEUP_STATUS                   0x0007001c /* Hardware power management wakeup status. */
#define BCHP_CLK_WAKEUP_MASK                     0x00070020 /* Hardware power management wakeup masks. */
#define BCHP_CLK_CRITICAL_CTRL                   0x00070024 /* Hardware power management critical control. */
#define BCHP_CLK_CRITICAL_STATUS                 0x00070028 /* Hardware power management critical status. */
#define BCHP_CLK_REGULATOR_2P5_VOLTS             0x0007003c /* 2.5V Regulator Voltage Adjustment */
#define BCHP_CLK_TEMP_MON_CTRL                   0x00070040 /* Temperature monitor control. */
#define BCHP_CLK_TEMP_MON_STATUS                 0x00070044 /* Temperature monitor status. */
#define BCHP_CLK_SCRATCH                         0x00070070 /* clock_gen  Scratch register */
#define BCHP_CLK_PLL0_CTRL                       0x00070100 /* Main PLL0 CML powerdown */
#define BCHP_CLK_PLL0_EBI_DIV                    0x00070110 /* Main PLL0 channel 4 EBI output clock divider settings */
#define BCHP_CLK_PLL0_LOCK_CNT                   0x0007011c /* Main PLL0 Lock Counter */
#define BCHP_CLK_PLL1_CTRL                       0x00070120 /* Main PLL1 reset, enable, and powerdown */
#define BCHP_CLK_PLL1_MIPS_DIV                   0x00070128 /* Main PLL1 channel 1 MIPS clock divider settings */
#define BCHP_CLK_PLL1_OFE_DIV                    0x0007012c /* Main PLL1 channel 3 OFE clock divider settings */
#define BCHP_CLK_PLL1_SDIO_DIV                   0x00070130 /* Main PLL1 channel 4 SDIO clock divider settings */
#define BCHP_CLK_PLL1_RAP_DIV                    0x00070134 /* Main PLL1 channel 5 RAP clock divider settings */
#define BCHP_CLK_PLL1_AVD_DIV                    0x00070138 /* Main PLL1 channel 6 AVD clock divider settings */
#define BCHP_CLK_PLL1_LOCK_CNT                   0x0007013c /* Main PLL1 Lock Counter */
#define BCHP_CLK_VCXO0_CTRL                      0x00070160 /* VCXO 0 PLL reset, enable, powerdown, and mode */
#define BCHP_CLK_VCXO0_CTRL_LO                   0x00070164 /* VCXO 0 PLL control low 32 bits */
#define BCHP_CLK_VCXO0_DIV                       0x00070168 /* VCXO 0 PLL divider settings */
#define BCHP_CLK_VCXO0_LOCK_CNT                  0x0007017c /* VCXO 0 PLL Lock Counter */
#define BCHP_CLK_AUD0_CTRL                       0x00070180 /* Audio PLL 0 reset, enable, and powerdown */
#define BCHP_CLK_AUD0_LOCK_CNT                   0x0007019c /* Audio PLL 0 Lock Counter */
#define BCHP_CLK_PLL_LOCK                        0x00070200 /* PLL lock status */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET             0x00070204 /* PLL Lock Counter Resets */
#define BCHP_CLK_PLL_TEST_SEL                    0x00070208 /* PLL core test select */
#define BCHP_CLK_GPIO_PAD_CTRL                   0x00070300 /* GPIO pad control */
#define BCHP_CLK_SDIO_PAD_CTRL                   0x00070304 /* SDIO pad control */
#define BCHP_CLK_I2C_PAD_CTRL                    0x0007030c /* I2C pad control */

/***************************************************************************
 *REVISION - clock_gen Revision register
 ***************************************************************************/
/* CLK :: REVISION :: reserved0 [31:16] */
#define BCHP_CLK_REVISION_reserved0_MASK                           0xffff0000
#define BCHP_CLK_REVISION_reserved0_SHIFT                          16

/* CLK :: REVISION :: MAJOR [15:08] */
#define BCHP_CLK_REVISION_MAJOR_MASK                               0x0000ff00
#define BCHP_CLK_REVISION_MAJOR_SHIFT                              8

/* CLK :: REVISION :: MINOR [07:00] */
#define BCHP_CLK_REVISION_MINOR_MASK                               0x000000ff
#define BCHP_CLK_REVISION_MINOR_SHIFT                              0

/***************************************************************************
 *PM_CTRL - Software power management control to turn off 108 MHz clocks
 ***************************************************************************/
/* CLK :: PM_CTRL :: reserved0 [31:31] */
#define BCHP_CLK_PM_CTRL_reserved0_MASK                            0x80000000
#define BCHP_CLK_PM_CTRL_reserved0_SHIFT                           31

/* CLK :: PM_CTRL :: DIS_DDR2_0_108M_CLK [30:30] */
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_MASK                  0x40000000
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_SHIFT                 30
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_Disable               1

/* CLK :: PM_CTRL :: reserved1 [29:28] */
#define BCHP_CLK_PM_CTRL_reserved1_MASK                            0x30000000
#define BCHP_CLK_PM_CTRL_reserved1_SHIFT                           28

/* CLK :: PM_CTRL :: DIS_RPTD0_108M_CLK [27:27] */
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_MASK                   0x08000000
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_SHIFT                  27
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: DIS_SHIFT_108M_CLK [26:26] */
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_MASK                   0x04000000
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_SHIFT                  26
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: reserved2 [25:25] */
#define BCHP_CLK_PM_CTRL_reserved2_MASK                            0x02000000
#define BCHP_CLK_PM_CTRL_reserved2_SHIFT                           25

/* CLK :: PM_CTRL :: DIS_ENET_108M_CLK [24:24] */
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_MASK                    0x01000000
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_SHIFT                   24
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: reserved3 [23:22] */
#define BCHP_CLK_PM_CTRL_reserved3_MASK                            0x00c00000
#define BCHP_CLK_PM_CTRL_reserved3_SHIFT                           22

/* CLK :: PM_CTRL :: DIS_OFE_DATAPATH_108M_CLK [21:21] */
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_MASK            0x00200000
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_SHIFT           21
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_OFE_DISCCTRL_108M_CLK [20:20] */
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_MASK            0x00100000
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_SHIFT           20
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: reserved4 [19:19] */
#define BCHP_CLK_PM_CTRL_reserved4_MASK                            0x00080000
#define BCHP_CLK_PM_CTRL_reserved4_SHIFT                           19

/* CLK :: PM_CTRL :: DIS_CPU0_108M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_MASK                    0x00040000
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_SHIFT                   18
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_AVD0_108M_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_MASK                    0x00020000
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_SHIFT                   17
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: reserved5 [16:16] */
#define BCHP_CLK_PM_CTRL_reserved5_MASK                            0x00010000
#define BCHP_CLK_PM_CTRL_reserved5_SHIFT                           16

/* CLK :: PM_CTRL :: DIS_USB_108M_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_MASK                     0x00008000
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_SHIFT                    15
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: reserved6 [14:13] */
#define BCHP_CLK_PM_CTRL_reserved6_MASK                            0x00006000
#define BCHP_CLK_PM_CTRL_reserved6_SHIFT                           13

/* CLK :: PM_CTRL :: DIS_GFX_108M_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_MASK                     0x00001000
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_SHIFT                    12
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_PINMUX_108M_CLK [11:11] */
#define BCHP_CLK_PM_CTRL_DIS_PINMUX_108M_CLK_MASK                  0x00000800
#define BCHP_CLK_PM_CTRL_DIS_PINMUX_108M_CLK_SHIFT                 11
#define BCHP_CLK_PM_CTRL_DIS_PINMUX_108M_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_DIS_PINMUX_108M_CLK_Disable               1

/* CLK :: PM_CTRL :: reserved7 [10:08] */
#define BCHP_CLK_PM_CTRL_reserved7_MASK                            0x00000700
#define BCHP_CLK_PM_CTRL_reserved7_SHIFT                           8

/* CLK :: PM_CTRL :: DIS_BSP_108M_CLK [07:07] */
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_MASK                     0x00000080
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_SHIFT                    7
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_AIO_108M_CLK [06:06] */
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_MASK                     0x00000040
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_SHIFT                    6
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_VEC_108M_CLK [05:05] */
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_MASK                     0x00000020
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_SHIFT                    5
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_BVNM_108M_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_MASK                    0x00000010
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_SHIFT                   4
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_BVNE_108M_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_MASK                    0x00000008
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_SHIFT                   3
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: reserved_for_eco8 [02:02] */
#define BCHP_CLK_PM_CTRL_reserved_for_eco8_MASK                    0x00000004
#define BCHP_CLK_PM_CTRL_reserved_for_eco8_SHIFT                   2

/* CLK :: PM_CTRL :: DIS_HIF_108M_CLK [01:01] */
#define BCHP_CLK_PM_CTRL_DIS_HIF_108M_CLK_MASK                     0x00000002
#define BCHP_CLK_PM_CTRL_DIS_HIF_108M_CLK_SHIFT                    1
#define BCHP_CLK_PM_CTRL_DIS_HIF_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_HIF_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_HDMI_108M_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_MASK                    0x00000001
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_SHIFT                   0
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_Disable                 1

/***************************************************************************
 *PM_CTRL_1 - Software power management control to turn off various clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_1 :: ENA_HDMI_LOW_PWR [31:31] */
#define BCHP_CLK_PM_CTRL_1_ENA_HDMI_LOW_PWR_MASK                   0x80000000
#define BCHP_CLK_PM_CTRL_1_ENA_HDMI_LOW_PWR_SHIFT                  31

/* CLK :: PM_CTRL_1 :: DIS_HDMI_CEC_27M_CLK [30:30] */
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_MASK               0x40000000
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_SHIFT              30
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_Disable            1

/* CLK :: PM_CTRL_1 :: DIS_SUN_27M_LOW_PWR [29:29] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_LOW_PWR_MASK                0x20000000
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_LOW_PWR_SHIFT               29

/* CLK :: PM_CTRL_1 :: DIS_SUN_108M_LOW_PWR [28:28] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_108M_LOW_PWR_MASK               0x10000000
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_108M_LOW_PWR_SHIFT              28

/* CLK :: PM_CTRL_1 :: reserved0 [27:19] */
#define BCHP_CLK_PM_CTRL_1_reserved0_MASK                          0x0ff80000
#define BCHP_CLK_PM_CTRL_1_reserved0_SHIFT                         19

/* CLK :: PM_CTRL_1 :: DIS_ENET_25M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_MASK                   0x00040000
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_SHIFT                  18
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_Disable                1

/* CLK :: PM_CTRL_1 :: reserved1 [17:05] */
#define BCHP_CLK_PM_CTRL_1_reserved1_MASK                          0x0003ffe0
#define BCHP_CLK_PM_CTRL_1_reserved1_SHIFT                         5

/* CLK :: PM_CTRL_1 :: DIS_JTAG_9M_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_MASK                    0x00000010
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_SHIFT                   4
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: DIS_BSP_9M_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_MASK                     0x00000008
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_SHIFT                    3
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_Disable                  1

/* CLK :: PM_CTRL_1 :: DIS_HDMI_27M_CLK [02:02] */
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_MASK                   0x00000004
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_SHIFT                  2
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_Disable                1

/* CLK :: PM_CTRL_1 :: DIS_SUN_27M_CLK [01:01] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_MASK                    0x00000002
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_SHIFT                   1
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: reserved_for_eco2 [00:00] */
#define BCHP_CLK_PM_CTRL_1_reserved_for_eco2_MASK                  0x00000001
#define BCHP_CLK_PM_CTRL_1_reserved_for_eco2_SHIFT                 0

/***************************************************************************
 *PM_CTRL_2 - Software power management control to turn off or select various clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_2 :: reserved0 [31:24] */
#define BCHP_CLK_PM_CTRL_2_reserved0_MASK                          0xff000000
#define BCHP_CLK_PM_CTRL_2_reserved0_SHIFT                         24

/* CLK :: PM_CTRL_2 :: DIS_SDIO_CLK [23:23] */
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_MASK                       0x00800000
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_SHIFT                      23
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_Enable                     0
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_Disable                    1

/* CLK :: PM_CTRL_2 :: reserved1 [22:22] */
#define BCHP_CLK_PM_CTRL_2_reserved1_MASK                          0x00400000
#define BCHP_CLK_PM_CTRL_2_reserved1_SHIFT                         22

/* CLK :: PM_CTRL_2 :: DIS_OFE_DATAPATH_27M_CLK [21:21] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_MASK           0x00200000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_SHIFT          21
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_DISCCTRL_27M_CLK [20:20] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_MASK           0x00100000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_SHIFT          20
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: reserved2 [19:19] */
#define BCHP_CLK_PM_CTRL_2_reserved2_MASK                          0x00080000
#define BCHP_CLK_PM_CTRL_2_reserved2_SHIFT                         19

/* CLK :: PM_CTRL_2 :: DIS_OFE_DATAPATH_67M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_MASK           0x00040000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_SHIFT          18
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_DISCCTRL_67M_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_MASK           0x00020000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_SHIFT          17
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: reserved3 [16:16] */
#define BCHP_CLK_PM_CTRL_2_reserved3_MASK                          0x00010000
#define BCHP_CLK_PM_CTRL_2_reserved3_SHIFT                         16

/* CLK :: PM_CTRL_2 :: DIS_OFE_DISCCTRL_162M_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_162M_CLK_MASK          0x00008000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_162M_CLK_SHIFT         15
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_162M_CLK_Enable        0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_162M_CLK_Disable       1

/* CLK :: PM_CTRL_2 :: DIS_AIO_162M_CLK [14:14] */
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_MASK                   0x00004000
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_SHIFT                  14
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: DIS_HDMI_VEC_162M_CLK [13:13] */
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_MASK              0x00002000
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_SHIFT             13
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_Disable           1

/* CLK :: PM_CTRL_2 :: DIS_VEC_DAC_162M_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_MASK               0x00001000
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_SHIFT              12
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_Disable            1

/* CLK :: PM_CTRL_2 :: DIS_VEC_162M_CLK [11:11] */
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_MASK                   0x00000800
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_SHIFT                  11
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: DIS_HEXDAC_162M_CLK [10:10] */
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_MASK                0x00000400
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_SHIFT               10
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_Disable             1

/* CLK :: PM_CTRL_2 :: DIS_HDMI_MAX_CLK [09:09] */
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_MASK                   0x00000200
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_SHIFT                  9
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: DIS_AVD0_CORE_CLK [08:08] */
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_MASK                  0x00000100
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_SHIFT                 8
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_Disable               1

/* CLK :: PM_CTRL_2 :: reserved4 [07:07] */
#define BCHP_CLK_PM_CTRL_2_reserved4_MASK                          0x00000080
#define BCHP_CLK_PM_CTRL_2_reserved4_SHIFT                         7

/* CLK :: PM_CTRL_2 :: DIS_RAP0_DSP_PROG_CLK [06:06] */
#define BCHP_CLK_PM_CTRL_2_DIS_RAP0_DSP_PROG_CLK_MASK              0x00000040
#define BCHP_CLK_PM_CTRL_2_DIS_RAP0_DSP_PROG_CLK_SHIFT             6
#define BCHP_CLK_PM_CTRL_2_DIS_RAP0_DSP_PROG_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_2_DIS_RAP0_DSP_PROG_CLK_Disable           1

/* CLK :: PM_CTRL_2 :: FORCE_NO_RAP_PLL_BYPASS [05:05] */
#define BCHP_CLK_PM_CTRL_2_FORCE_NO_RAP_PLL_BYPASS_MASK            0x00000020
#define BCHP_CLK_PM_CTRL_2_FORCE_NO_RAP_PLL_BYPASS_SHIFT           5

/* CLK :: PM_CTRL_2 :: reserved5 [04:01] */
#define BCHP_CLK_PM_CTRL_2_reserved5_MASK                          0x0000001e
#define BCHP_CLK_PM_CTRL_2_reserved5_SHIFT                         1

/* CLK :: PM_CTRL_2 :: DIS_CPU0_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_MASK                       0x00000001
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_SHIFT                      0
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_Enable                     0
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_Disable                    1

/***************************************************************************
 *PM_CTRL_216 - Software power management control to turn off 216 MHz clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_216 :: reserved0 [31:27] */
#define BCHP_CLK_PM_CTRL_216_reserved0_MASK                        0xf8000000
#define BCHP_CLK_PM_CTRL_216_reserved0_SHIFT                       27

/* CLK :: PM_CTRL_216 :: DIS_OFE_DATAPATH_216_CLK [26:26] */
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_MASK         0x04000000
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_SHIFT        26
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_Enable       0
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_Disable      1

/* CLK :: PM_CTRL_216 :: DIS_OFE_DISCCTRL_216_CLK [25:25] */
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_MASK         0x02000000
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_SHIFT        25
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_Enable       0
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_Disable      1

/* CLK :: PM_CTRL_216 :: reserved1 [24:20] */
#define BCHP_CLK_PM_CTRL_216_reserved1_MASK                        0x01f00000
#define BCHP_CLK_PM_CTRL_216_reserved1_SHIFT                       20

/* CLK :: PM_CTRL_216 :: DIS_CPU0_216_CLK [19:19] */
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_MASK                 0x00080000
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_SHIFT                19
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: reserved2 [18:18] */
#define BCHP_CLK_PM_CTRL_216_reserved2_MASK                        0x00040000
#define BCHP_CLK_PM_CTRL_216_reserved2_SHIFT                       18

/* CLK :: PM_CTRL_216 :: DIS_BVNE_216_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_MASK                 0x00020000
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_SHIFT                17
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_BVNM_216_CLK [16:16] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_MASK                 0x00010000
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_SHIFT                16
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_VEC_216_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_MASK                  0x00008000
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_SHIFT                 15
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_ENET_216_CLK [14:14] */
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_MASK                 0x00004000
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_SHIFT                14
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_SHIFT_216_CLK [13:13] */
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_MASK                0x00002000
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_SHIFT               13
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: DIS_GFX_216_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_MASK                  0x00001000
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_SHIFT                 12
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: reserved3 [11:11] */
#define BCHP_CLK_PM_CTRL_216_reserved3_MASK                        0x00000800
#define BCHP_CLK_PM_CTRL_216_reserved3_SHIFT                       11

/* CLK :: PM_CTRL_216 :: DIS_RPTD0_216_CLK [10:10] */
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_MASK                0x00000400
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_SHIFT               10
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: reserved4 [09:09] */
#define BCHP_CLK_PM_CTRL_216_reserved4_MASK                        0x00000200
#define BCHP_CLK_PM_CTRL_216_reserved4_SHIFT                       9

/* CLK :: PM_CTRL_216 :: DIS_AIO_216_CLK [08:08] */
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_MASK                  0x00000100
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_SHIFT                 8
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_BSP_216_CLK [07:07] */
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_MASK                  0x00000080
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_SHIFT                 7
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_USB_216_CLK [06:06] */
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_MASK                  0x00000040
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_SHIFT                 6
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: reserved5 [05:05] */
#define BCHP_CLK_PM_CTRL_216_reserved5_MASK                        0x00000020
#define BCHP_CLK_PM_CTRL_216_reserved5_SHIFT                       5

/* CLK :: PM_CTRL_216 :: DIS_SUN_216_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_216_CLK_MASK                  0x00000010
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_216_CLK_SHIFT                 4
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_DDR2_0_216_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_MASK               0x00000008
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_SHIFT              3
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_Disable            1

/* CLK :: PM_CTRL_216 :: reserved_for_eco6 [02:02] */
#define BCHP_CLK_PM_CTRL_216_reserved_for_eco6_MASK                0x00000004
#define BCHP_CLK_PM_CTRL_216_reserved_for_eco6_SHIFT               2

/* CLK :: PM_CTRL_216 :: DIS_HIF_216_CLK [01:01] */
#define BCHP_CLK_PM_CTRL_216_DIS_HIF_216_CLK_MASK                  0x00000002
#define BCHP_CLK_PM_CTRL_216_DIS_HIF_216_CLK_SHIFT                 1
#define BCHP_CLK_PM_CTRL_216_DIS_HIF_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_HIF_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_AVD0_216_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_MASK                 0x00000001
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_SHIFT                0
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_Disable              1

/***************************************************************************
 *WAKEUP_STATUS - Hardware power management wakeup status.
 ***************************************************************************/
/* CLK :: WAKEUP_STATUS :: reserved0 [31:03] */
#define BCHP_CLK_WAKEUP_STATUS_reserved0_MASK                      0xfffffff8
#define BCHP_CLK_WAKEUP_STATUS_reserved0_SHIFT                     3

/* CLK :: WAKEUP_STATUS :: ENET [02:02] */
#define BCHP_CLK_WAKEUP_STATUS_ENET_MASK                           0x00000004
#define BCHP_CLK_WAKEUP_STATUS_ENET_SHIFT                          2

/* CLK :: WAKEUP_STATUS :: HDMI [01:01] */
#define BCHP_CLK_WAKEUP_STATUS_HDMI_MASK                           0x00000002
#define BCHP_CLK_WAKEUP_STATUS_HDMI_SHIFT                          1

/* CLK :: WAKEUP_STATUS :: SUNDRY [00:00] */
#define BCHP_CLK_WAKEUP_STATUS_SUNDRY_MASK                         0x00000001
#define BCHP_CLK_WAKEUP_STATUS_SUNDRY_SHIFT                        0

/***************************************************************************
 *WAKEUP_MASK - Hardware power management wakeup masks.
 ***************************************************************************/
/* CLK :: WAKEUP_MASK :: reserved0 [31:03] */
#define BCHP_CLK_WAKEUP_MASK_reserved0_MASK                        0xfffffff8
#define BCHP_CLK_WAKEUP_MASK_reserved0_SHIFT                       3

/* CLK :: WAKEUP_MASK :: ENET [02:02] */
#define BCHP_CLK_WAKEUP_MASK_ENET_MASK                             0x00000004
#define BCHP_CLK_WAKEUP_MASK_ENET_SHIFT                            2
#define BCHP_CLK_WAKEUP_MASK_ENET_Disable                          0
#define BCHP_CLK_WAKEUP_MASK_ENET_Enable                           1

/* CLK :: WAKEUP_MASK :: HDMI [01:01] */
#define BCHP_CLK_WAKEUP_MASK_HDMI_MASK                             0x00000002
#define BCHP_CLK_WAKEUP_MASK_HDMI_SHIFT                            1
#define BCHP_CLK_WAKEUP_MASK_HDMI_Disable                          0
#define BCHP_CLK_WAKEUP_MASK_HDMI_Enable                           1

/* CLK :: WAKEUP_MASK :: SUNDRY [00:00] */
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_MASK                           0x00000001
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_SHIFT                          0
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_Disable                        0
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_Enable                         1

/***************************************************************************
 *CRITICAL_CTRL - Hardware power management critical control.
 ***************************************************************************/
/* CLK :: CRITICAL_CTRL :: reserved0 [31:02] */
#define BCHP_CLK_CRITICAL_CTRL_reserved0_MASK                      0xfffffffc
#define BCHP_CLK_CRITICAL_CTRL_reserved0_SHIFT                     2

/* CLK :: CRITICAL_CTRL :: MIPS_POWER_INTR [01:01] */
#define BCHP_CLK_CRITICAL_CTRL_MIPS_POWER_INTR_MASK                0x00000002
#define BCHP_CLK_CRITICAL_CTRL_MIPS_POWER_INTR_SHIFT               1

/* CLK :: CRITICAL_CTRL :: BSP_POWER_INTR [00:00] */
#define BCHP_CLK_CRITICAL_CTRL_BSP_POWER_INTR_MASK                 0x00000001
#define BCHP_CLK_CRITICAL_CTRL_BSP_POWER_INTR_SHIFT                0

/***************************************************************************
 *CRITICAL_STATUS - Hardware power management critical status.
 ***************************************************************************/
/* CLK :: CRITICAL_STATUS :: reserved0 [31:01] */
#define BCHP_CLK_CRITICAL_STATUS_reserved0_MASK                    0xfffffffe
#define BCHP_CLK_CRITICAL_STATUS_reserved0_SHIFT                   1

/* CLK :: CRITICAL_STATUS :: TIMEOUT_ERR [00:00] */
#define BCHP_CLK_CRITICAL_STATUS_TIMEOUT_ERR_MASK                  0x00000001
#define BCHP_CLK_CRITICAL_STATUS_TIMEOUT_ERR_SHIFT                 0

/***************************************************************************
 *REGULATOR_2P5_VOLTS - 2.5V Regulator Voltage Adjustment
 ***************************************************************************/
/* CLK :: REGULATOR_2P5_VOLTS :: reserved0 [31:04] */
#define BCHP_CLK_REGULATOR_2P5_VOLTS_reserved0_MASK                0xfffffff0
#define BCHP_CLK_REGULATOR_2P5_VOLTS_reserved0_SHIFT               4

/* CLK :: REGULATOR_2P5_VOLTS :: ADJUST [03:00] */
#define BCHP_CLK_REGULATOR_2P5_VOLTS_ADJUST_MASK                   0x0000000f
#define BCHP_CLK_REGULATOR_2P5_VOLTS_ADJUST_SHIFT                  0

/***************************************************************************
 *TEMP_MON_CTRL - Temperature monitor control.
 ***************************************************************************/
/* CLK :: TEMP_MON_CTRL :: reserved0 [31:10] */
#define BCHP_CLK_TEMP_MON_CTRL_reserved0_MASK                      0xfffffc00
#define BCHP_CLK_TEMP_MON_CTRL_reserved0_SHIFT                     10

/* CLK :: TEMP_MON_CTRL :: RESETB [09:09] */
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_MASK                         0x00000200
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_SHIFT                        9
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_Reset                        0
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_Normal                       1

/* CLK :: TEMP_MON_CTRL :: PWRDN [08:08] */
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_MASK                          0x00000100
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_SHIFT                         8
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_Powered_Up                    0
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_Powered_Down                  1

/* union - case Combined [07:00] */
/* CLK :: TEMP_MON_CTRL :: Combined :: CTRL [07:00] */
#define BCHP_CLK_TEMP_MON_CTRL_Combined_CTRL_MASK                  0x000000ff
#define BCHP_CLK_TEMP_MON_CTRL_Combined_CTRL_SHIFT                 0

/* union - case Separate [07:00] */
/* CLK :: TEMP_MON_CTRL :: Separate :: BIAS_ADJUST [07:01] */
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BIAS_ADJUST_MASK           0x000000fe
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BIAS_ADJUST_SHIFT          1

/* CLK :: TEMP_MON_CTRL :: Separate :: ADC_TEST_EN [00:00] */
#define BCHP_CLK_TEMP_MON_CTRL_Separate_ADC_TEST_EN_MASK           0x00000001
#define BCHP_CLK_TEMP_MON_CTRL_Separate_ADC_TEST_EN_SHIFT          0
#define BCHP_CLK_TEMP_MON_CTRL_Separate_ADC_TEST_EN_Normal_Mode    1
#define BCHP_CLK_TEMP_MON_CTRL_Separate_ADC_TEST_EN_ADC_Test_Mode  0

/***************************************************************************
 *TEMP_MON_STATUS - Temperature monitor status.
 ***************************************************************************/
/* CLK :: TEMP_MON_STATUS :: CLK25K [31:31] */
#define BCHP_CLK_TEMP_MON_STATUS_CLK25K_MASK                       0x80000000
#define BCHP_CLK_TEMP_MON_STATUS_CLK25K_SHIFT                      31

/* CLK :: TEMP_MON_STATUS :: reserved0 [30:24] */
#define BCHP_CLK_TEMP_MON_STATUS_reserved0_MASK                    0x7f000000
#define BCHP_CLK_TEMP_MON_STATUS_reserved0_SHIFT                   24

/* CLK :: TEMP_MON_STATUS :: STROBE_COUNT [23:16] */
#define BCHP_CLK_TEMP_MON_STATUS_STROBE_COUNT_MASK                 0x00ff0000
#define BCHP_CLK_TEMP_MON_STATUS_STROBE_COUNT_SHIFT                16

/* CLK :: TEMP_MON_STATUS :: reserved1 [15:09] */
#define BCHP_CLK_TEMP_MON_STATUS_reserved1_MASK                    0x0000fe00
#define BCHP_CLK_TEMP_MON_STATUS_reserved1_SHIFT                   9

/* CLK :: TEMP_MON_STATUS :: DATA [08:00] */
#define BCHP_CLK_TEMP_MON_STATUS_DATA_MASK                         0x000001ff
#define BCHP_CLK_TEMP_MON_STATUS_DATA_SHIFT                        0

/***************************************************************************
 *SCRATCH - clock_gen  Scratch register
 ***************************************************************************/
/* CLK :: SCRATCH :: VALUE [31:00] */
#define BCHP_CLK_SCRATCH_VALUE_MASK                                0xffffffff
#define BCHP_CLK_SCRATCH_VALUE_SHIFT                               0

/***************************************************************************
 *PLL0_CTRL - Main PLL0 CML powerdown
 ***************************************************************************/
/* CLK :: PLL0_CTRL :: reserved0 [31:05] */
#define BCHP_CLK_PLL0_CTRL_reserved0_MASK                          0xffffffe0
#define BCHP_CLK_PLL0_CTRL_reserved0_SHIFT                         5

/* CLK :: PLL0_CTRL :: CML_PWR3 [04:04] */
#define BCHP_CLK_PLL0_CTRL_CML_PWR3_MASK                           0x00000010
#define BCHP_CLK_PLL0_CTRL_CML_PWR3_SHIFT                          4
#define BCHP_CLK_PLL0_CTRL_CML_PWR3_Powerdown                      0
#define BCHP_CLK_PLL0_CTRL_CML_PWR3_Normal                         1

/* CLK :: PLL0_CTRL :: reserved1 [03:00] */
#define BCHP_CLK_PLL0_CTRL_reserved1_MASK                          0x0000000f
#define BCHP_CLK_PLL0_CTRL_reserved1_SHIFT                         0

/***************************************************************************
 *PLL0_EBI_DIV - Main PLL0 channel 4 EBI output clock divider settings
 ***************************************************************************/
/* CLK :: PLL0_EBI_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL0_EBI_DIV_reserved0_MASK                       0xffffff00
#define BCHP_CLK_PLL0_EBI_DIV_reserved0_SHIFT                      8

/* CLK :: PLL0_EBI_DIV :: M4DIV [07:00] */
#define BCHP_CLK_PLL0_EBI_DIV_M4DIV_MASK                           0x000000ff
#define BCHP_CLK_PLL0_EBI_DIV_M4DIV_SHIFT                          0

/***************************************************************************
 *PLL0_LOCK_CNT - Main PLL0 Lock Counter
 ***************************************************************************/
/* CLK :: PLL0_LOCK_CNT :: reserved0 [31:12] */
#define BCHP_CLK_PLL0_LOCK_CNT_reserved0_MASK                      0xfffff000
#define BCHP_CLK_PLL0_LOCK_CNT_reserved0_SHIFT                     12

/* CLK :: PLL0_LOCK_CNT :: COUNT [11:00] */
#define BCHP_CLK_PLL0_LOCK_CNT_COUNT_MASK                          0x00000fff
#define BCHP_CLK_PLL0_LOCK_CNT_COUNT_SHIFT                         0

/***************************************************************************
 *PLL1_CTRL - Main PLL1 reset, enable, and powerdown
 ***************************************************************************/
/* CLK :: PLL1_CTRL :: reserved0 [31:04] */
#define BCHP_CLK_PLL1_CTRL_reserved0_MASK                          0xfffffff0
#define BCHP_CLK_PLL1_CTRL_reserved0_SHIFT                         4

/* CLK :: PLL1_CTRL :: POWERDOWN [03:03] */
#define BCHP_CLK_PLL1_CTRL_POWERDOWN_MASK                          0x00000008
#define BCHP_CLK_PLL1_CTRL_POWERDOWN_SHIFT                         3
#define BCHP_CLK_PLL1_CTRL_POWERDOWN_Powerdown                     1
#define BCHP_CLK_PLL1_CTRL_POWERDOWN_Normal                        0

/* CLK :: PLL1_CTRL :: CLOCK_ENA [02:02] */
#define BCHP_CLK_PLL1_CTRL_CLOCK_ENA_MASK                          0x00000004
#define BCHP_CLK_PLL1_CTRL_CLOCK_ENA_SHIFT                         2
#define BCHP_CLK_PLL1_CTRL_CLOCK_ENA_Enable                        1
#define BCHP_CLK_PLL1_CTRL_CLOCK_ENA_Disable                       0

/* CLK :: PLL1_CTRL :: RESET [01:01] */
#define BCHP_CLK_PLL1_CTRL_RESET_MASK                              0x00000002
#define BCHP_CLK_PLL1_CTRL_RESET_SHIFT                             1
#define BCHP_CLK_PLL1_CTRL_RESET_Reset                             1
#define BCHP_CLK_PLL1_CTRL_RESET_Normal                            0

/* CLK :: PLL1_CTRL :: reserved1 [00:00] */
#define BCHP_CLK_PLL1_CTRL_reserved1_MASK                          0x00000001
#define BCHP_CLK_PLL1_CTRL_reserved1_SHIFT                         0

/***************************************************************************
 *PLL1_MIPS_DIV - Main PLL1 channel 1 MIPS clock divider settings
 ***************************************************************************/
/* CLK :: PLL1_MIPS_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL1_MIPS_DIV_reserved0_MASK                      0xffffff00
#define BCHP_CLK_PLL1_MIPS_DIV_reserved0_SHIFT                     8

/* CLK :: PLL1_MIPS_DIV :: M1DIV [07:00] */
#define BCHP_CLK_PLL1_MIPS_DIV_M1DIV_MASK                          0x000000ff
#define BCHP_CLK_PLL1_MIPS_DIV_M1DIV_SHIFT                         0

/***************************************************************************
 *PLL1_OFE_DIV - Main PLL1 channel 3 OFE clock divider settings
 ***************************************************************************/
/* CLK :: PLL1_OFE_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL1_OFE_DIV_reserved0_MASK                       0xffffff00
#define BCHP_CLK_PLL1_OFE_DIV_reserved0_SHIFT                      8

/* CLK :: PLL1_OFE_DIV :: M3DIV [07:00] */
#define BCHP_CLK_PLL1_OFE_DIV_M3DIV_MASK                           0x000000ff
#define BCHP_CLK_PLL1_OFE_DIV_M3DIV_SHIFT                          0

/***************************************************************************
 *PLL1_SDIO_DIV - Main PLL1 channel 4 SDIO clock divider settings
 ***************************************************************************/
/* CLK :: PLL1_SDIO_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL1_SDIO_DIV_reserved0_MASK                      0xffffff00
#define BCHP_CLK_PLL1_SDIO_DIV_reserved0_SHIFT                     8

/* CLK :: PLL1_SDIO_DIV :: M4DIV [07:00] */
#define BCHP_CLK_PLL1_SDIO_DIV_M4DIV_MASK                          0x000000ff
#define BCHP_CLK_PLL1_SDIO_DIV_M4DIV_SHIFT                         0

/***************************************************************************
 *PLL1_RAP_DIV - Main PLL1 channel 5 RAP clock divider settings
 ***************************************************************************/
/* CLK :: PLL1_RAP_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL1_RAP_DIV_reserved0_MASK                       0xffffff00
#define BCHP_CLK_PLL1_RAP_DIV_reserved0_SHIFT                      8

/* CLK :: PLL1_RAP_DIV :: M5DIV [07:00] */
#define BCHP_CLK_PLL1_RAP_DIV_M5DIV_MASK                           0x000000ff
#define BCHP_CLK_PLL1_RAP_DIV_M5DIV_SHIFT                          0

/***************************************************************************
 *PLL1_AVD_DIV - Main PLL1 channel 6 AVD clock divider settings
 ***************************************************************************/
/* CLK :: PLL1_AVD_DIV :: reserved0 [31:08] */
#define BCHP_CLK_PLL1_AVD_DIV_reserved0_MASK                       0xffffff00
#define BCHP_CLK_PLL1_AVD_DIV_reserved0_SHIFT                      8

/* CLK :: PLL1_AVD_DIV :: M6DIV [07:00] */
#define BCHP_CLK_PLL1_AVD_DIV_M6DIV_MASK                           0x000000ff
#define BCHP_CLK_PLL1_AVD_DIV_M6DIV_SHIFT                          0

/***************************************************************************
 *PLL1_LOCK_CNT - Main PLL1 Lock Counter
 ***************************************************************************/
/* CLK :: PLL1_LOCK_CNT :: reserved0 [31:12] */
#define BCHP_CLK_PLL1_LOCK_CNT_reserved0_MASK                      0xfffff000
#define BCHP_CLK_PLL1_LOCK_CNT_reserved0_SHIFT                     12

/* CLK :: PLL1_LOCK_CNT :: COUNT [11:00] */
#define BCHP_CLK_PLL1_LOCK_CNT_COUNT_MASK                          0x00000fff
#define BCHP_CLK_PLL1_LOCK_CNT_COUNT_SHIFT                         0

/***************************************************************************
 *VCXO0_CTRL - VCXO 0 PLL reset, enable, powerdown, and mode
 ***************************************************************************/
/* CLK :: VCXO0_CTRL :: CTRL_BITS_37_32 [31:26] */
#define BCHP_CLK_VCXO0_CTRL_CTRL_BITS_37_32_MASK                   0xfc000000
#define BCHP_CLK_VCXO0_CTRL_CTRL_BITS_37_32_SHIFT                  26

/* CLK :: VCXO0_CTRL :: reserved0 [25:07] */
#define BCHP_CLK_VCXO0_CTRL_reserved0_MASK                         0x03ffff80
#define BCHP_CLK_VCXO0_CTRL_reserved0_SHIFT                        7

/* CLK :: VCXO0_CTRL :: NDIV_MODE [06:04] */
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_MASK                         0x00000070
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_SHIFT                        4
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_Integer                      0
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_MASH_Unit                    1
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_MFB_Unit                     2
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_MASH_One_Eighth              3
#define BCHP_CLK_VCXO0_CTRL_NDIV_MODE_MFB_One_Eighth               4

/* CLK :: VCXO0_CTRL :: POWERDOWN [03:03] */
#define BCHP_CLK_VCXO0_CTRL_POWERDOWN_MASK                         0x00000008
#define BCHP_CLK_VCXO0_CTRL_POWERDOWN_SHIFT                        3
#define BCHP_CLK_VCXO0_CTRL_POWERDOWN_Powerdown                    1
#define BCHP_CLK_VCXO0_CTRL_POWERDOWN_Normal                       0

/* CLK :: VCXO0_CTRL :: CLOCK_ENA [02:02] */
#define BCHP_CLK_VCXO0_CTRL_CLOCK_ENA_MASK                         0x00000004
#define BCHP_CLK_VCXO0_CTRL_CLOCK_ENA_SHIFT                        2
#define BCHP_CLK_VCXO0_CTRL_CLOCK_ENA_Enable                       1
#define BCHP_CLK_VCXO0_CTRL_CLOCK_ENA_Disable                      0

/* CLK :: VCXO0_CTRL :: DRESET [01:01] */
#define BCHP_CLK_VCXO0_CTRL_DRESET_MASK                            0x00000002
#define BCHP_CLK_VCXO0_CTRL_DRESET_SHIFT                           1
#define BCHP_CLK_VCXO0_CTRL_DRESET_Reset                           1
#define BCHP_CLK_VCXO0_CTRL_DRESET_Normal                          0

/* CLK :: VCXO0_CTRL :: ARESET [00:00] */
#define BCHP_CLK_VCXO0_CTRL_ARESET_MASK                            0x00000001
#define BCHP_CLK_VCXO0_CTRL_ARESET_SHIFT                           0
#define BCHP_CLK_VCXO0_CTRL_ARESET_Reset                           1
#define BCHP_CLK_VCXO0_CTRL_ARESET_Normal                          0

/***************************************************************************
 *VCXO0_CTRL_LO - VCXO 0 PLL control low 32 bits
 ***************************************************************************/
/* CLK :: VCXO0_CTRL_LO :: CTRL_BITS_31_0 [31:00] */
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_MASK                 0xffffffff
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_SHIFT                0
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_Integer_Range0       536872384
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_Integer_Range1       939525888
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_MFB_Unit_Range0      539764768
#define BCHP_CLK_VCXO0_CTRL_LO_CTRL_BITS_31_0_MFB_Unit_Range1      942418016

/***************************************************************************
 *VCXO0_DIV - VCXO 0 PLL divider settings
 ***************************************************************************/
/* CLK :: VCXO0_DIV :: reserved0 [31:26] */
#define BCHP_CLK_VCXO0_DIV_reserved0_MASK                          0xfc000000
#define BCHP_CLK_VCXO0_DIV_reserved0_SHIFT                         26

/* CLK :: VCXO0_DIV :: VCORNG [25:24] */
#define BCHP_CLK_VCXO0_DIV_VCORNG_MASK                             0x03000000
#define BCHP_CLK_VCXO0_DIV_VCORNG_SHIFT                            24

/* CLK :: VCXO0_DIV :: M3DIV [23:16] */
#define BCHP_CLK_VCXO0_DIV_M3DIV_MASK                              0x00ff0000
#define BCHP_CLK_VCXO0_DIV_M3DIV_SHIFT                             16

/* CLK :: VCXO0_DIV :: M2DIV [15:08] */
#define BCHP_CLK_VCXO0_DIV_M2DIV_MASK                              0x0000ff00
#define BCHP_CLK_VCXO0_DIV_M2DIV_SHIFT                             8

/* CLK :: VCXO0_DIV :: M1DIV [07:00] */
#define BCHP_CLK_VCXO0_DIV_M1DIV_MASK                              0x000000ff
#define BCHP_CLK_VCXO0_DIV_M1DIV_SHIFT                             0

/***************************************************************************
 *VCXO0_LOCK_CNT - VCXO 0 PLL Lock Counter
 ***************************************************************************/
/* CLK :: VCXO0_LOCK_CNT :: reserved0 [31:12] */
#define BCHP_CLK_VCXO0_LOCK_CNT_reserved0_MASK                     0xfffff000
#define BCHP_CLK_VCXO0_LOCK_CNT_reserved0_SHIFT                    12

/* CLK :: VCXO0_LOCK_CNT :: COUNT [11:00] */
#define BCHP_CLK_VCXO0_LOCK_CNT_COUNT_MASK                         0x00000fff
#define BCHP_CLK_VCXO0_LOCK_CNT_COUNT_SHIFT                        0

/***************************************************************************
 *AUD0_CTRL - Audio PLL 0 reset, enable, and powerdown
 ***************************************************************************/
/* CLK :: AUD0_CTRL :: reserved0 [31:04] */
#define BCHP_CLK_AUD0_CTRL_reserved0_MASK                          0xfffffff0
#define BCHP_CLK_AUD0_CTRL_reserved0_SHIFT                         4

/* CLK :: AUD0_CTRL :: POWERDOWN [03:03] */
#define BCHP_CLK_AUD0_CTRL_POWERDOWN_MASK                          0x00000008
#define BCHP_CLK_AUD0_CTRL_POWERDOWN_SHIFT                         3
#define BCHP_CLK_AUD0_CTRL_POWERDOWN_Powerdown                     1
#define BCHP_CLK_AUD0_CTRL_POWERDOWN_Normal                        0

/* CLK :: AUD0_CTRL :: CLOCK_ENA [02:02] */
#define BCHP_CLK_AUD0_CTRL_CLOCK_ENA_MASK                          0x00000004
#define BCHP_CLK_AUD0_CTRL_CLOCK_ENA_SHIFT                         2
#define BCHP_CLK_AUD0_CTRL_CLOCK_ENA_Enable                        1
#define BCHP_CLK_AUD0_CTRL_CLOCK_ENA_Disable                       0

/* CLK :: AUD0_CTRL :: RESET [01:01] */
#define BCHP_CLK_AUD0_CTRL_RESET_MASK                              0x00000002
#define BCHP_CLK_AUD0_CTRL_RESET_SHIFT                             1
#define BCHP_CLK_AUD0_CTRL_RESET_Reset                             1
#define BCHP_CLK_AUD0_CTRL_RESET_Normal                            0

/* CLK :: AUD0_CTRL :: reserved1 [00:00] */
#define BCHP_CLK_AUD0_CTRL_reserved1_MASK                          0x00000001
#define BCHP_CLK_AUD0_CTRL_reserved1_SHIFT                         0

/***************************************************************************
 *AUD0_LOCK_CNT - Audio PLL 0 Lock Counter
 ***************************************************************************/
/* CLK :: AUD0_LOCK_CNT :: reserved0 [31:12] */
#define BCHP_CLK_AUD0_LOCK_CNT_reserved0_MASK                      0xfffff000
#define BCHP_CLK_AUD0_LOCK_CNT_reserved0_SHIFT                     12

/* CLK :: AUD0_LOCK_CNT :: COUNT [11:00] */
#define BCHP_CLK_AUD0_LOCK_CNT_COUNT_MASK                          0x00000fff
#define BCHP_CLK_AUD0_LOCK_CNT_COUNT_SHIFT                         0

/***************************************************************************
 *PLL_LOCK - PLL lock status
 ***************************************************************************/
/* CLK :: PLL_LOCK :: reserved0 [31:05] */
#define BCHP_CLK_PLL_LOCK_reserved0_MASK                           0xffffffe0
#define BCHP_CLK_PLL_LOCK_reserved0_SHIFT                          5

/* CLK :: PLL_LOCK :: AUD0 [04:04] */
#define BCHP_CLK_PLL_LOCK_AUD0_MASK                                0x00000010
#define BCHP_CLK_PLL_LOCK_AUD0_SHIFT                               4

/* CLK :: PLL_LOCK :: VCXO0 [03:03] */
#define BCHP_CLK_PLL_LOCK_VCXO0_MASK                               0x00000008
#define BCHP_CLK_PLL_LOCK_VCXO0_SHIFT                              3

/* CLK :: PLL_LOCK :: reserved1 [02:02] */
#define BCHP_CLK_PLL_LOCK_reserved1_MASK                           0x00000004
#define BCHP_CLK_PLL_LOCK_reserved1_SHIFT                          2

/* CLK :: PLL_LOCK :: PLL1 [01:01] */
#define BCHP_CLK_PLL_LOCK_PLL1_MASK                                0x00000002
#define BCHP_CLK_PLL_LOCK_PLL1_SHIFT                               1

/* CLK :: PLL_LOCK :: PLL0 [00:00] */
#define BCHP_CLK_PLL_LOCK_PLL0_MASK                                0x00000001
#define BCHP_CLK_PLL_LOCK_PLL0_SHIFT                               0

/***************************************************************************
 *PLL_LOCK_CNTR_RESET - PLL Lock Counter Resets
 ***************************************************************************/
/* CLK :: PLL_LOCK_CNTR_RESET :: reserved0 [31:05] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_reserved0_MASK                0xffffffe0
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_reserved0_SHIFT               5

/* CLK :: PLL_LOCK_CNTR_RESET :: AUD0 [04:04] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_AUD0_MASK                     0x00000010
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_AUD0_SHIFT                    4

/* CLK :: PLL_LOCK_CNTR_RESET :: VCXO0 [03:03] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_VCXO0_MASK                    0x00000008
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_VCXO0_SHIFT                   3

/* CLK :: PLL_LOCK_CNTR_RESET :: reserved1 [02:02] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_reserved1_MASK                0x00000004
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_reserved1_SHIFT               2

/* CLK :: PLL_LOCK_CNTR_RESET :: PLL1 [01:01] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_PLL1_MASK                     0x00000002
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_PLL1_SHIFT                    1

/* CLK :: PLL_LOCK_CNTR_RESET :: PLL0 [00:00] */
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_PLL0_MASK                     0x00000001
#define BCHP_CLK_PLL_LOCK_CNTR_RESET_PLL0_SHIFT                    0

/***************************************************************************
 *PLL_TEST_SEL - PLL core test select
 ***************************************************************************/
/* CLK :: PLL_TEST_SEL :: reserved0 [31:12] */
#define BCHP_CLK_PLL_TEST_SEL_reserved0_MASK                       0xfffff000
#define BCHP_CLK_PLL_TEST_SEL_reserved0_SHIFT                      12

/* CLK :: PLL_TEST_SEL :: reserved_for_eco1 [11:08] */
#define BCHP_CLK_PLL_TEST_SEL_reserved_for_eco1_MASK               0x00000f00
#define BCHP_CLK_PLL_TEST_SEL_reserved_for_eco1_SHIFT              8

/* CLK :: PLL_TEST_SEL :: PLL_SEL [07:04] */
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_MASK                         0x000000f0
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_SHIFT                        4
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_None                         0
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_PLL0                         1
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_PLL1                         2
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_3                   3
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_VCXO0                        4
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_AUD0                         5
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_6                   6
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_7                   7
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_8                   8
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_9                   9
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_10                  10
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_11                  11
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_12                  12
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_13                  13
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_14                  14
#define BCHP_CLK_PLL_TEST_SEL_PLL_SEL_Reserved_15                  15

/* CLK :: PLL_TEST_SEL :: SUB_SEL [03:00] */
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_MASK                         0x0000000f
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_SHIFT                        0
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_VCO_Vcontrol                 0
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_VCO_div_8                    1
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Frefi                        2
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Fdbki                        3
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Watchdog                     4
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_1                     5
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_2                     6
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_3                     7
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_4                     8
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_5                     9
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Clkout_6                     10
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Reserved_11                  11
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Reserved_12                  12
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Reserved_13                  13
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Reserved_14                  14
#define BCHP_CLK_PLL_TEST_SEL_SUB_SEL_Reserved_15                  15

/***************************************************************************
 *GPIO_PAD_CTRL - GPIO pad control
 ***************************************************************************/
/* CLK :: GPIO_PAD_CTRL :: reserved0 [31:07] */
#define BCHP_CLK_GPIO_PAD_CTRL_reserved0_MASK                      0xffffff80
#define BCHP_CLK_GPIO_PAD_CTRL_reserved0_SHIFT                     7

/* CLK :: GPIO_PAD_CTRL :: GPIO_PDN [06:06] */
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PDN_MASK                       0x00000040
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PDN_SHIFT                      6
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PDN_Disable                    0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PDN_Enable                     1

/* CLK :: GPIO_PAD_CTRL :: GPIO_PUP [05:05] */
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PUP_MASK                       0x00000020
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PUP_SHIFT                      5
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PUP_Disable                    0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_PUP_Enable                     1

/* CLK :: GPIO_PAD_CTRL :: GPIO_HYS_EN [04:04] */
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_HYS_EN_MASK                    0x00000010
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_HYS_EN_SHIFT                   4
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_HYS_EN_TTL_input               0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_HYS_EN_Schmitt_trigger_input   1

/* CLK :: GPIO_PAD_CTRL :: GPIO_SEL [03:01] */
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_MASK                       0x0000000e
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_SHIFT                      1
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_Tri_State            0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_2_mA                 1
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_4_mA                 2
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_6_mA                 4
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_8_mA                 5
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_10_mA                6
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SEL_Drive_12_mA                7

/* CLK :: GPIO_PAD_CTRL :: GPIO_SLEW [00:00] */
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SLEW_MASK                      0x00000001
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SLEW_SHIFT                     0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SLEW_High_Speed                0
#define BCHP_CLK_GPIO_PAD_CTRL_GPIO_SLEW_Normal                    1

/***************************************************************************
 *SDIO_PAD_CTRL - SDIO pad control
 ***************************************************************************/
/* CLK :: SDIO_PAD_CTRL :: reserved0 [31:07] */
#define BCHP_CLK_SDIO_PAD_CTRL_reserved0_MASK                      0xffffff80
#define BCHP_CLK_SDIO_PAD_CTRL_reserved0_SHIFT                     7

/* CLK :: SDIO_PAD_CTRL :: SDIO_PDN [06:06] */
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PDN_MASK                       0x00000040
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PDN_SHIFT                      6
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PDN_Disable                    0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PDN_Enable                     1

/* CLK :: SDIO_PAD_CTRL :: SDIO_PUP [05:05] */
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PUP_MASK                       0x00000020
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PUP_SHIFT                      5
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PUP_Disable                    0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_PUP_Enable                     1

/* CLK :: SDIO_PAD_CTRL :: SDIO_HYS_EN [04:04] */
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_HYS_EN_MASK                    0x00000010
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_HYS_EN_SHIFT                   4
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_HYS_EN_TTL_input               0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_HYS_EN_Schmitt_trigger_input   1

/* CLK :: SDIO_PAD_CTRL :: SDIO_SEL [03:01] */
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_MASK                       0x0000000e
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_SHIFT                      1
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_Tri_State            0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_2_mA                 1
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_4_mA                 2
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_6_mA                 4
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_8_mA                 5
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_10_mA                6
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SEL_Drive_12_mA                7

/* CLK :: SDIO_PAD_CTRL :: SDIO_SLEW [00:00] */
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SLEW_MASK                      0x00000001
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SLEW_SHIFT                     0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SLEW_High_Speed                0
#define BCHP_CLK_SDIO_PAD_CTRL_SDIO_SLEW_Normal                    1

/***************************************************************************
 *I2C_PAD_CTRL - I2C pad control
 ***************************************************************************/
/* CLK :: I2C_PAD_CTRL :: reserved0 [31:13] */
#define BCHP_CLK_I2C_PAD_CTRL_reserved0_MASK                       0xffffe000
#define BCHP_CLK_I2C_PAD_CTRL_reserved0_SHIFT                      13

/* CLK :: I2C_PAD_CTRL :: HDMI_HTPLG [12:12] */
#define BCHP_CLK_I2C_PAD_CTRL_HDMI_HTPLG_MASK                      0x00001000
#define BCHP_CLK_I2C_PAD_CTRL_HDMI_HTPLG_SHIFT                     12
#define BCHP_CLK_I2C_PAD_CTRL_HDMI_HTPLG_Mode_VDDO                 0
#define BCHP_CLK_I2C_PAD_CTRL_HDMI_HTPLG_Mode_5V                   1

/* CLK :: I2C_PAD_CTRL :: BSC_S_SDA [11:11] */
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SDA_MASK                       0x00000800
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SDA_SHIFT                      11
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SDA_Mode_VDDO                  0
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SDA_Mode_5V                    1

/* CLK :: I2C_PAD_CTRL :: BSC_S_SCL [10:10] */
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SCL_MASK                       0x00000400
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SCL_SHIFT                      10
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SCL_Mode_VDDO                  0
#define BCHP_CLK_I2C_PAD_CTRL_BSC_S_SCL_Mode_5V                    1

/* CLK :: I2C_PAD_CTRL :: reserved1 [09:06] */
#define BCHP_CLK_I2C_PAD_CTRL_reserved1_MASK                       0x000003c0
#define BCHP_CLK_I2C_PAD_CTRL_reserved1_SHIFT                      6

/* CLK :: I2C_PAD_CTRL :: SGPIO_5 [05:05] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_5_MASK                         0x00000020
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_5_SHIFT                        5
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_5_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_5_Mode_5V                      1

/* CLK :: I2C_PAD_CTRL :: SGPIO_4 [04:04] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_4_MASK                         0x00000010
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_4_SHIFT                        4
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_4_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_4_Mode_5V                      1

/* CLK :: I2C_PAD_CTRL :: SGPIO_3 [03:03] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_3_MASK                         0x00000008
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_3_SHIFT                        3
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_3_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_3_Mode_5V                      1

/* CLK :: I2C_PAD_CTRL :: SGPIO_2 [02:02] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_2_MASK                         0x00000004
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_2_SHIFT                        2
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_2_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_2_Mode_5V                      1

/* CLK :: I2C_PAD_CTRL :: SGPIO_1 [01:01] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_1_MASK                         0x00000002
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_1_SHIFT                        1
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_1_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_1_Mode_5V                      1

/* CLK :: I2C_PAD_CTRL :: SGPIO_0 [00:00] */
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_0_MASK                         0x00000001
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_0_SHIFT                        0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_0_Mode_VDDO                    0
#define BCHP_CLK_I2C_PAD_CTRL_SGPIO_0_Mode_5V                      1

#endif /* #ifndef BCHP_CLK_H__ */

/* End of File */
