/***************************************************************************
 *     Copyright (c) 1999-2008, Broadcom Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Tue Dec  2 14:03:29 2008
 *                 MD5 Checksum         90975bbcdf76045bb6bd092e6bdf481b
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/7635/rdb/a0/bchp_clk.h $
 * 
 * Hydra_Software_Devel/1   12/2/08 5:44p albertl
 * PR48688: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_CLK_H__
#define BCHP_CLK_H__

/***************************************************************************
 *CLK - CLOCK_GEN Registers
 ***************************************************************************/
#define BCHP_CLK_REVISION                        0x00040000 /* clock_gen Revision register */
#define BCHP_CLK_PM_CTRL                         0x00040004 /* Software power management control to turn off 108 MHz clocks */
#define BCHP_CLK_PM_CTRL_1                       0x00040008 /* Software power management control to turn off various clocks */
#define BCHP_CLK_PM_CTRL_2                       0x0004000c /* Software power management control to turn off or select various clocks */
#define BCHP_CLK_PM_CTRL_216                     0x00040010 /* Software power management control to turn off 216 MHz clocks */
#define BCHP_CLK_WAKEUP_STATUS                   0x0004001c /* Hardware power management wakeup status. */
#define BCHP_CLK_WAKEUP_MASK                     0x00040020 /* Hardware power management wakeup masks. */
#define BCHP_CLK_CRITICAL_CTRL                   0x00040024 /* Hardware power management critical control. */
#define BCHP_CLK_CRITICAL_STATUS                 0x00040028 /* Hardware power management critical status. */
#define BCHP_CLK_REGULATOR_2P5_VOLTS             0x0004003c /* 2.5V Regulator Voltage Adjustment */
#define BCHP_CLK_TEMP_MON_CTRL                   0x00040040 /* Temperature monitor control. */
#define BCHP_CLK_TEMP_MON_STATUS                 0x00040044 /* Temperature monitor status. */
#define BCHP_CLK_SCRATCH                         0x00040070 /* clock_gen  Scratch register */

/***************************************************************************
 *REVISION - clock_gen Revision register
 ***************************************************************************/
/* CLK :: REVISION :: reserved0 [31:16] */
#define BCHP_CLK_REVISION_reserved0_MASK                           0xffff0000
#define BCHP_CLK_REVISION_reserved0_SHIFT                          16

/* CLK :: REVISION :: MAJOR [15:08] */
#define BCHP_CLK_REVISION_MAJOR_MASK                               0x0000ff00
#define BCHP_CLK_REVISION_MAJOR_SHIFT                              8

/* CLK :: REVISION :: MINOR [07:00] */
#define BCHP_CLK_REVISION_MINOR_MASK                               0x000000ff
#define BCHP_CLK_REVISION_MINOR_SHIFT                              0

/***************************************************************************
 *PM_CTRL - Software power management control to turn off 108 MHz clocks
 ***************************************************************************/
/* CLK :: PM_CTRL :: reserved0 [31:31] */
#define BCHP_CLK_PM_CTRL_reserved0_MASK                            0x80000000
#define BCHP_CLK_PM_CTRL_reserved0_SHIFT                           31

/* CLK :: PM_CTRL :: DIS_DDR2_0_108M_CLK [30:30] */
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_MASK                  0x40000000
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_SHIFT                 30
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_DIS_DDR2_0_108M_CLK_Disable               1

/* CLK :: PM_CTRL :: DIS_DDR2_1_108M_CLK [29:29] */
#define BCHP_CLK_PM_CTRL_DIS_DDR2_1_108M_CLK_MASK                  0x20000000
#define BCHP_CLK_PM_CTRL_DIS_DDR2_1_108M_CLK_SHIFT                 29
#define BCHP_CLK_PM_CTRL_DIS_DDR2_1_108M_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_DIS_DDR2_1_108M_CLK_Disable               1

/* CLK :: PM_CTRL :: DIS_RPTD1_108M_CLK [28:28] */
#define BCHP_CLK_PM_CTRL_DIS_RPTD1_108M_CLK_MASK                   0x10000000
#define BCHP_CLK_PM_CTRL_DIS_RPTD1_108M_CLK_SHIFT                  28
#define BCHP_CLK_PM_CTRL_DIS_RPTD1_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_RPTD1_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: DIS_RPTD0_108M_CLK [27:27] */
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_MASK                   0x08000000
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_SHIFT                  27
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_RPTD0_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: DIS_SHIFT_108M_CLK [26:26] */
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_MASK                   0x04000000
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_SHIFT                  26
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_SHIFT_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: DIS_BVNM_108M_CLK [25:25] */
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_MASK                    0x02000000
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_SHIFT                   25
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVNM_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_ENET_108M_CLK [24:24] */
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_MASK                    0x01000000
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_SHIFT                   24
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_ENET_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: reserved1 [23:22] */
#define BCHP_CLK_PM_CTRL_reserved1_MASK                            0x00c00000
#define BCHP_CLK_PM_CTRL_reserved1_SHIFT                           22

/* CLK :: PM_CTRL :: DIS_OFE_DATAPATH_108M_CLK [21:21] */
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_MASK            0x00200000
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_SHIFT           21
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_DIS_OFE_DATAPATH_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_OFE_DISCCTRL_108M_CLK [20:20] */
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_MASK            0x00100000
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_SHIFT           20
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_DIS_OFE_DISCCTRL_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_OFE_ANALOG_108M_CLK [19:19] */
#define BCHP_CLK_PM_CTRL_DIS_OFE_ANALOG_108M_CLK_MASK              0x00080000
#define BCHP_CLK_PM_CTRL_DIS_OFE_ANALOG_108M_CLK_SHIFT             19
#define BCHP_CLK_PM_CTRL_DIS_OFE_ANALOG_108M_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_DIS_OFE_ANALOG_108M_CLK_Disable           1

/* CLK :: PM_CTRL :: DIS_CPU0_108M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_MASK                    0x00040000
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_SHIFT                   18
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_CPU0_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_AVD0_108M_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_MASK                    0x00020000
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_SHIFT                   17
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_AVD0_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_SATA_108M_CLK [16:16] */
#define BCHP_CLK_PM_CTRL_DIS_SATA_108M_CLK_MASK                    0x00010000
#define BCHP_CLK_PM_CTRL_DIS_SATA_108M_CLK_SHIFT                   16
#define BCHP_CLK_PM_CTRL_DIS_SATA_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_SATA_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_USB_108M_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_MASK                     0x00008000
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_SHIFT                    15
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_USB_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: reserved_DIS_HIF_108M_CLK [14:14] */
#define BCHP_CLK_PM_CTRL_reserved_DIS_HIF_108M_CLK_MASK            0x00004000
#define BCHP_CLK_PM_CTRL_reserved_DIS_HIF_108M_CLK_SHIFT           14
#define BCHP_CLK_PM_CTRL_reserved_DIS_HIF_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_reserved_DIS_HIF_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_SATA1_108M_CLK [13:13] */
#define BCHP_CLK_PM_CTRL_DIS_SATA1_108M_CLK_MASK                   0x00002000
#define BCHP_CLK_PM_CTRL_DIS_SATA1_108M_CLK_SHIFT                  13
#define BCHP_CLK_PM_CTRL_DIS_SATA1_108M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_DIS_SATA1_108M_CLK_Disable                1

/* CLK :: PM_CTRL :: DIS_GFX_108M_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_MASK                     0x00001000
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_SHIFT                    12
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_GFX_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_HIF_PINMUX_108M_CLK [11:11] */
#define BCHP_CLK_PM_CTRL_DIS_HIF_PINMUX_108M_CLK_MASK              0x00000800
#define BCHP_CLK_PM_CTRL_DIS_HIF_PINMUX_108M_CLK_SHIFT             11
#define BCHP_CLK_PM_CTRL_DIS_HIF_PINMUX_108M_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_DIS_HIF_PINMUX_108M_CLK_Disable           1

/* CLK :: PM_CTRL :: reserved_DIS_CKG_108M_CLK [10:10] */
#define BCHP_CLK_PM_CTRL_reserved_DIS_CKG_108M_CLK_MASK            0x00000400
#define BCHP_CLK_PM_CTRL_reserved_DIS_CKG_108M_CLK_SHIFT           10
#define BCHP_CLK_PM_CTRL_reserved_DIS_CKG_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_reserved_DIS_CKG_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_XPT_108M_CLK [09:09] */
#define BCHP_CLK_PM_CTRL_DIS_XPT_108M_CLK_MASK                     0x00000200
#define BCHP_CLK_PM_CTRL_DIS_XPT_108M_CLK_SHIFT                    9
#define BCHP_CLK_PM_CTRL_DIS_XPT_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_XPT_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: reserved_DIS_SUN_108M_CLK [08:08] */
#define BCHP_CLK_PM_CTRL_reserved_DIS_SUN_108M_CLK_MASK            0x00000100
#define BCHP_CLK_PM_CTRL_reserved_DIS_SUN_108M_CLK_SHIFT           8
#define BCHP_CLK_PM_CTRL_reserved_DIS_SUN_108M_CLK_Enable          0
#define BCHP_CLK_PM_CTRL_reserved_DIS_SUN_108M_CLK_Disable         1

/* CLK :: PM_CTRL :: DIS_BSP_108M_CLK [07:07] */
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_MASK                     0x00000080
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_SHIFT                    7
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_BSP_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_AIO_108M_CLK [06:06] */
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_MASK                     0x00000040
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_SHIFT                    6
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_AIO_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_VEC_108M_CLK [05:05] */
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_MASK                     0x00000020
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_SHIFT                    5
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_DIS_VEC_108M_CLK_Disable                  1

/* CLK :: PM_CTRL :: DIS_BVNG_108M_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_DIS_BVNG_108M_CLK_MASK                    0x00000010
#define BCHP_CLK_PM_CTRL_DIS_BVNG_108M_CLK_SHIFT                   4
#define BCHP_CLK_PM_CTRL_DIS_BVNG_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVNG_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_BVNE_108M_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_MASK                    0x00000008
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_SHIFT                   3
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVNE_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: DIS_BVND_108M_CLK [02:02] */
#define BCHP_CLK_PM_CTRL_DIS_BVND_108M_CLK_MASK                    0x00000004
#define BCHP_CLK_PM_CTRL_DIS_BVND_108M_CLK_SHIFT                   2
#define BCHP_CLK_PM_CTRL_DIS_BVND_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_BVND_108M_CLK_Disable                 1

/* CLK :: PM_CTRL :: reserved_for_eco2 [01:01] */
#define BCHP_CLK_PM_CTRL_reserved_for_eco2_MASK                    0x00000002
#define BCHP_CLK_PM_CTRL_reserved_for_eco2_SHIFT                   1

/* CLK :: PM_CTRL :: DIS_HDMI_108M_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_MASK                    0x00000001
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_SHIFT                   0
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_DIS_HDMI_108M_CLK_Disable                 1

/***************************************************************************
 *PM_CTRL_1 - Software power management control to turn off various clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_1 :: ENA_HDMI_LOW_PWR [31:31] */
#define BCHP_CLK_PM_CTRL_1_ENA_HDMI_LOW_PWR_MASK                   0x80000000
#define BCHP_CLK_PM_CTRL_1_ENA_HDMI_LOW_PWR_SHIFT                  31

/* CLK :: PM_CTRL_1 :: DIS_HDMI_CEC_27M_CLK [30:30] */
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_MASK               0x40000000
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_SHIFT              30
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_CEC_27M_CLK_Disable            1

/* CLK :: PM_CTRL_1 :: DIS_SUN_27M_LOW_PWR [29:29] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_LOW_PWR_MASK                0x20000000
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_LOW_PWR_SHIFT               29

/* CLK :: PM_CTRL_1 :: DIS_SUN_108M_LOW_PWR [28:28] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_108M_LOW_PWR_MASK               0x10000000
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_108M_LOW_PWR_SHIFT              28

/* CLK :: PM_CTRL_1 :: DIS_XPT_81M_CLK [27:27] */
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_81M_CLK_MASK                    0x08000000
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_81M_CLK_SHIFT                   27
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_81M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_81M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: DIS_XPT_54M_CLK [26:26] */
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_54M_CLK_MASK                    0x04000000
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_54M_CLK_SHIFT                   26
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_54M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_54M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: DIS_XPT_27M_CLK [25:25] */
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_27M_CLK_MASK                    0x02000000
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_27M_CLK_SHIFT                   25
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_27M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_27M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: DIS_XPT_40P5M_CLK [24:24] */
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_40P5M_CLK_MASK                  0x01000000
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_40P5M_CLK_SHIFT                 24
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_40P5M_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_40P5M_CLK_Disable               1

/* CLK :: PM_CTRL_1 :: DIS_XPT_20P25M_CLK [23:23] */
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_20P25M_CLK_MASK                 0x00800000
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_20P25M_CLK_SHIFT                23
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_20P25M_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_1_DIS_XPT_20P25M_CLK_Disable              1

/* CLK :: PM_CTRL_1 :: reserved0 [22:19] */
#define BCHP_CLK_PM_CTRL_1_reserved0_MASK                          0x00780000
#define BCHP_CLK_PM_CTRL_1_reserved0_SHIFT                         19

/* CLK :: PM_CTRL_1 :: DIS_ENET_25M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_MASK                   0x00040000
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_SHIFT                  18
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_1_DIS_ENET_25M_CLK_Disable                1

/* CLK :: PM_CTRL_1 :: reserved1 [17:05] */
#define BCHP_CLK_PM_CTRL_1_reserved1_MASK                          0x0003ffe0
#define BCHP_CLK_PM_CTRL_1_reserved1_SHIFT                         5

/* CLK :: PM_CTRL_1 :: DIS_JTAG_9M_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_MASK                    0x00000010
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_SHIFT                   4
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_JTAG_9M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: DIS_BSP_9M_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_MASK                     0x00000008
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_SHIFT                    3
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_Enable                   0
#define BCHP_CLK_PM_CTRL_1_DIS_BSP_9M_CLK_Disable                  1

/* CLK :: PM_CTRL_1 :: DIS_HDMI_27M_CLK [02:02] */
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_MASK                   0x00000004
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_SHIFT                  2
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_1_DIS_HDMI_27M_CLK_Disable                1

/* CLK :: PM_CTRL_1 :: DIS_SUN_27M_CLK [01:01] */
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_MASK                    0x00000002
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_SHIFT                   1
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_Enable                  0
#define BCHP_CLK_PM_CTRL_1_DIS_SUN_27M_CLK_Disable                 1

/* CLK :: PM_CTRL_1 :: reserved_for_eco2 [00:00] */
#define BCHP_CLK_PM_CTRL_1_reserved_for_eco2_MASK                  0x00000001
#define BCHP_CLK_PM_CTRL_1_reserved_for_eco2_SHIFT                 0

/***************************************************************************
 *PM_CTRL_2 - Software power management control to turn off or select various clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_2 :: reserved0 [31:24] */
#define BCHP_CLK_PM_CTRL_2_reserved0_MASK                          0xff000000
#define BCHP_CLK_PM_CTRL_2_reserved0_SHIFT                         24

/* CLK :: PM_CTRL_2 :: DIS_OFE_DATAPATH_27M_CLK [23:23] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_MASK           0x00800000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_SHIFT          23
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_27M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_DISCCTRL_27M_CLK [22:22] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_MASK           0x00400000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_SHIFT          22
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_27M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_ANALOG_27M_CLK [21:21] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_27M_CLK_MASK             0x00200000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_27M_CLK_SHIFT            21
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_27M_CLK_Enable           0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_27M_CLK_Disable          1

/* CLK :: PM_CTRL_2 :: DIS_AIO_162M_CLK [20:20] */
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_MASK                   0x00100000
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_SHIFT                  20
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_AIO_162M_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: SMARTCARD_CLOCK_SOURCE_SEL [19:19] */
#define BCHP_CLK_PM_CTRL_2_SMARTCARD_CLOCK_SOURCE_SEL_MASK         0x00080000
#define BCHP_CLK_PM_CTRL_2_SMARTCARD_CLOCK_SOURCE_SEL_SHIFT        19

/* CLK :: PM_CTRL_2 :: DIS_OFE_DATAPATH_67M_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_MASK           0x00040000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_SHIFT          18
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DATAPATH_67M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_DISCCTRL_67M_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_MASK           0x00020000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_SHIFT          17
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_DISCCTRL_67M_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: DIS_OFE_ANALOG_67M_CLK [16:16] */
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_67M_CLK_MASK             0x00010000
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_67M_CLK_SHIFT            16
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_67M_CLK_Enable           0
#define BCHP_CLK_PM_CTRL_2_DIS_OFE_ANALOG_67M_CLK_Disable          1

/* CLK :: PM_CTRL_2 :: DIS_SC_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_2_DIS_SC_CLK_MASK                         0x00008000
#define BCHP_CLK_PM_CTRL_2_DIS_SC_CLK_SHIFT                        15
#define BCHP_CLK_PM_CTRL_2_DIS_SC_CLK_Enable                       0
#define BCHP_CLK_PM_CTRL_2_DIS_SC_CLK_Disable                      1

/* CLK :: PM_CTRL_2 :: DIS_SDIO_CLK [14:14] */
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_MASK                       0x00004000
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_SHIFT                      14
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_Enable                     0
#define BCHP_CLK_PM_CTRL_2_DIS_SDIO_CLK_Disable                    1

/* CLK :: PM_CTRL_2 :: DIS_HDMI_VEC_162M_CLK [13:13] */
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_MASK              0x00002000
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_SHIFT             13
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_VEC_162M_CLK_Disable           1

/* CLK :: PM_CTRL_2 :: DIS_VEC_DAC_162M_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_MASK               0x00001000
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_SHIFT              12
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_DAC_162M_CLK_Disable            1

/* CLK :: PM_CTRL_2 :: DIS_VEC_162M_CLK [11:11] */
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_MASK                   0x00000800
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_SHIFT                  11
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_VEC_162M_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: DIS_HEXDAC_162M_CLK [10:10] */
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_MASK                0x00000400
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_SHIFT               10
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_2_DIS_HEXDAC_162M_CLK_Disable             1

/* CLK :: PM_CTRL_2 :: DIS_HDMI_MAX_CLK [09:09] */
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_MASK                   0x00000200
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_SHIFT                  9
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_HDMI_MAX_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: DIS_AVD0_CORE_CLK [08:08] */
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_MASK                  0x00000100
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_SHIFT                 8
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_2_DIS_AVD0_CORE_CLK_Disable               1

/* CLK :: PM_CTRL_2 :: reserved1 [07:06] */
#define BCHP_CLK_PM_CTRL_2_reserved1_MASK                          0x000000c0
#define BCHP_CLK_PM_CTRL_2_reserved1_SHIFT                         6

/* CLK :: PM_CTRL_2 :: DIS_SATA1_PCI_CLK [05:05] */
#define BCHP_CLK_PM_CTRL_2_DIS_SATA1_PCI_CLK_MASK                  0x00000020
#define BCHP_CLK_PM_CTRL_2_DIS_SATA1_PCI_CLK_SHIFT                 5
#define BCHP_CLK_PM_CTRL_2_DIS_SATA1_PCI_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_2_DIS_SATA1_PCI_CLK_Disable               1

/* CLK :: PM_CTRL_2 :: DIS_SATA_PCI_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_2_DIS_SATA_PCI_CLK_MASK                   0x00000010
#define BCHP_CLK_PM_CTRL_2_DIS_SATA_PCI_CLK_SHIFT                  4
#define BCHP_CLK_PM_CTRL_2_DIS_SATA_PCI_CLK_Enable                 0
#define BCHP_CLK_PM_CTRL_2_DIS_SATA_PCI_CLK_Disable                1

/* CLK :: PM_CTRL_2 :: reserved_for_eco2 [03:03] */
#define BCHP_CLK_PM_CTRL_2_reserved_for_eco2_MASK                  0x00000008
#define BCHP_CLK_PM_CTRL_2_reserved_for_eco2_SHIFT                 3

/* CLK :: PM_CTRL_2 :: reserved_DIS_PCI_OUT_CLK [02:02] */
#define BCHP_CLK_PM_CTRL_2_reserved_DIS_PCI_OUT_CLK_MASK           0x00000004
#define BCHP_CLK_PM_CTRL_2_reserved_DIS_PCI_OUT_CLK_SHIFT          2
#define BCHP_CLK_PM_CTRL_2_reserved_DIS_PCI_OUT_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_2_reserved_DIS_PCI_OUT_CLK_Disable        1

/* CLK :: PM_CTRL_2 :: reserved3 [01:01] */
#define BCHP_CLK_PM_CTRL_2_reserved3_MASK                          0x00000002
#define BCHP_CLK_PM_CTRL_2_reserved3_SHIFT                         1

/* CLK :: PM_CTRL_2 :: DIS_CPU0_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_MASK                       0x00000001
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_SHIFT                      0
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_Enable                     0
#define BCHP_CLK_PM_CTRL_2_DIS_CPU0_CLK_Disable                    1

/***************************************************************************
 *PM_CTRL_216 - Software power management control to turn off 216 MHz clocks
 ***************************************************************************/
/* CLK :: PM_CTRL_216 :: DIS_MAIN_216_CLK [31:31] */
#define BCHP_CLK_PM_CTRL_216_DIS_MAIN_216_CLK_MASK                 0x80000000
#define BCHP_CLK_PM_CTRL_216_DIS_MAIN_216_CLK_SHIFT                31
#define BCHP_CLK_PM_CTRL_216_DIS_MAIN_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_MAIN_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: reserved0 [30:27] */
#define BCHP_CLK_PM_CTRL_216_reserved0_MASK                        0x78000000
#define BCHP_CLK_PM_CTRL_216_reserved0_SHIFT                       27

/* CLK :: PM_CTRL_216 :: DIS_OFE_DATAPATH_216_CLK [26:26] */
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_MASK         0x04000000
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_SHIFT        26
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_Enable       0
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DATAPATH_216_CLK_Disable      1

/* CLK :: PM_CTRL_216 :: DIS_OFE_DISCCTRL_216_CLK [25:25] */
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_MASK         0x02000000
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_SHIFT        25
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_Enable       0
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_DISCCTRL_216_CLK_Disable      1

/* CLK :: PM_CTRL_216 :: DIS_OFE_ANALOG_216_CLK [24:24] */
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_ANALOG_216_CLK_MASK           0x01000000
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_ANALOG_216_CLK_SHIFT          24
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_ANALOG_216_CLK_Enable         0
#define BCHP_CLK_PM_CTRL_216_DIS_OFE_ANALOG_216_CLK_Disable        1

/* CLK :: PM_CTRL_216 :: DIS_BVND_216_CLK [23:23] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVND_216_CLK_MASK                 0x00800000
#define BCHP_CLK_PM_CTRL_216_DIS_BVND_216_CLK_SHIFT                23
#define BCHP_CLK_PM_CTRL_216_DIS_BVND_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVND_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_BVNE_216_CLK [22:22] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_MASK                 0x00400000
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_SHIFT                22
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVNE_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: reserved1 [21:21] */
#define BCHP_CLK_PM_CTRL_216_reserved1_MASK                        0x00200000
#define BCHP_CLK_PM_CTRL_216_reserved1_SHIFT                       21

/* CLK :: PM_CTRL_216 :: DIS_SATA1_216_CLK [20:20] */
#define BCHP_CLK_PM_CTRL_216_DIS_SATA1_216_CLK_MASK                0x00100000
#define BCHP_CLK_PM_CTRL_216_DIS_SATA1_216_CLK_SHIFT               20
#define BCHP_CLK_PM_CTRL_216_DIS_SATA1_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_SATA1_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: DIS_CPU0_216_CLK [19:19] */
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_MASK                 0x00080000
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_SHIFT                19
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_CPU0_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: reserved_DIS_HIF_216_CLK [18:18] */
#define BCHP_CLK_PM_CTRL_216_reserved_DIS_HIF_216_CLK_MASK         0x00040000
#define BCHP_CLK_PM_CTRL_216_reserved_DIS_HIF_216_CLK_SHIFT        18
#define BCHP_CLK_PM_CTRL_216_reserved_DIS_HIF_216_CLK_Enable       0
#define BCHP_CLK_PM_CTRL_216_reserved_DIS_HIF_216_CLK_Disable      1

/* CLK :: PM_CTRL_216 :: DIS_BVNG_216_CLK [17:17] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVNG_216_CLK_MASK                 0x00020000
#define BCHP_CLK_PM_CTRL_216_DIS_BVNG_216_CLK_SHIFT                17
#define BCHP_CLK_PM_CTRL_216_DIS_BVNG_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVNG_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_BVNM_216_CLK [16:16] */
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_MASK                 0x00010000
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_SHIFT                16
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_BVNM_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_VEC_216_CLK [15:15] */
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_MASK                  0x00008000
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_SHIFT                 15
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_VEC_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_ENET_216_CLK [14:14] */
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_MASK                 0x00004000
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_SHIFT                14
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_ENET_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_SHIFT_216_CLK [13:13] */
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_MASK                0x00002000
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_SHIFT               13
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_SHIFT_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: DIS_GFX_216_CLK [12:12] */
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_MASK                  0x00001000
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_SHIFT                 12
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_GFX_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_XPT_216_CLK [11:11] */
#define BCHP_CLK_PM_CTRL_216_DIS_XPT_216_CLK_MASK                  0x00000800
#define BCHP_CLK_PM_CTRL_216_DIS_XPT_216_CLK_SHIFT                 11
#define BCHP_CLK_PM_CTRL_216_DIS_XPT_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_XPT_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_RPTD0_216_CLK [10:10] */
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_MASK                0x00000400
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_SHIFT               10
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD0_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: DIS_RPTD1_216_CLK [09:09] */
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD1_216_CLK_MASK                0x00000200
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD1_216_CLK_SHIFT               9
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD1_216_CLK_Enable              0
#define BCHP_CLK_PM_CTRL_216_DIS_RPTD1_216_CLK_Disable             1

/* CLK :: PM_CTRL_216 :: DIS_AIO_216_CLK [08:08] */
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_MASK                  0x00000100
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_SHIFT                 8
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_AIO_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_BSP_216_CLK [07:07] */
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_MASK                  0x00000080
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_SHIFT                 7
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_BSP_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_USB_216_CLK [06:06] */
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_MASK                  0x00000040
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_SHIFT                 6
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_Enable                0
#define BCHP_CLK_PM_CTRL_216_DIS_USB_216_CLK_Disable               1

/* CLK :: PM_CTRL_216 :: DIS_SATA_216_CLK [05:05] */
#define BCHP_CLK_PM_CTRL_216_DIS_SATA_216_CLK_MASK                 0x00000020
#define BCHP_CLK_PM_CTRL_216_DIS_SATA_216_CLK_SHIFT                5
#define BCHP_CLK_PM_CTRL_216_DIS_SATA_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_SATA_216_CLK_Disable              1

/* CLK :: PM_CTRL_216 :: DIS_SUN_ARB_216_CLK [04:04] */
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_ARB_216_CLK_MASK              0x00000010
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_ARB_216_CLK_SHIFT             4
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_ARB_216_CLK_Enable            0
#define BCHP_CLK_PM_CTRL_216_DIS_SUN_ARB_216_CLK_Disable           1

/* CLK :: PM_CTRL_216 :: DIS_DDR2_0_216_CLK [03:03] */
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_MASK               0x00000008
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_SHIFT              3
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_0_216_CLK_Disable            1

/* CLK :: PM_CTRL_216 :: DIS_DDR2_1_216_CLK [02:02] */
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_1_216_CLK_MASK               0x00000004
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_1_216_CLK_SHIFT              2
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_1_216_CLK_Enable             0
#define BCHP_CLK_PM_CTRL_216_DIS_DDR2_1_216_CLK_Disable            1

/* CLK :: PM_CTRL_216 :: reserved_for_eco2 [01:01] */
#define BCHP_CLK_PM_CTRL_216_reserved_for_eco2_MASK                0x00000002
#define BCHP_CLK_PM_CTRL_216_reserved_for_eco2_SHIFT               1

/* CLK :: PM_CTRL_216 :: DIS_AVD0_216_CLK [00:00] */
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_MASK                 0x00000001
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_SHIFT                0
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_Enable               0
#define BCHP_CLK_PM_CTRL_216_DIS_AVD0_216_CLK_Disable              1

/***************************************************************************
 *WAKEUP_STATUS - Hardware power management wakeup status.
 ***************************************************************************/
/* CLK :: WAKEUP_STATUS :: reserved0 [31:03] */
#define BCHP_CLK_WAKEUP_STATUS_reserved0_MASK                      0xfffffff8
#define BCHP_CLK_WAKEUP_STATUS_reserved0_SHIFT                     3

/* CLK :: WAKEUP_STATUS :: ENET [02:02] */
#define BCHP_CLK_WAKEUP_STATUS_ENET_MASK                           0x00000004
#define BCHP_CLK_WAKEUP_STATUS_ENET_SHIFT                          2

/* CLK :: WAKEUP_STATUS :: HDMI [01:01] */
#define BCHP_CLK_WAKEUP_STATUS_HDMI_MASK                           0x00000002
#define BCHP_CLK_WAKEUP_STATUS_HDMI_SHIFT                          1

/* CLK :: WAKEUP_STATUS :: SUNDRY [00:00] */
#define BCHP_CLK_WAKEUP_STATUS_SUNDRY_MASK                         0x00000001
#define BCHP_CLK_WAKEUP_STATUS_SUNDRY_SHIFT                        0

/***************************************************************************
 *WAKEUP_MASK - Hardware power management wakeup masks.
 ***************************************************************************/
/* CLK :: WAKEUP_MASK :: reserved0 [31:03] */
#define BCHP_CLK_WAKEUP_MASK_reserved0_MASK                        0xfffffff8
#define BCHP_CLK_WAKEUP_MASK_reserved0_SHIFT                       3

/* CLK :: WAKEUP_MASK :: ENET [02:02] */
#define BCHP_CLK_WAKEUP_MASK_ENET_MASK                             0x00000004
#define BCHP_CLK_WAKEUP_MASK_ENET_SHIFT                            2
#define BCHP_CLK_WAKEUP_MASK_ENET_Disable                          0
#define BCHP_CLK_WAKEUP_MASK_ENET_Enable                           1

/* CLK :: WAKEUP_MASK :: HDMI [01:01] */
#define BCHP_CLK_WAKEUP_MASK_HDMI_MASK                             0x00000002
#define BCHP_CLK_WAKEUP_MASK_HDMI_SHIFT                            1
#define BCHP_CLK_WAKEUP_MASK_HDMI_Disable                          0
#define BCHP_CLK_WAKEUP_MASK_HDMI_Enable                           1

/* CLK :: WAKEUP_MASK :: SUNDRY [00:00] */
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_MASK                           0x00000001
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_SHIFT                          0
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_Disable                        0
#define BCHP_CLK_WAKEUP_MASK_SUNDRY_Enable                         1

/***************************************************************************
 *CRITICAL_CTRL - Hardware power management critical control.
 ***************************************************************************/
/* CLK :: CRITICAL_CTRL :: reserved0 [31:02] */
#define BCHP_CLK_CRITICAL_CTRL_reserved0_MASK                      0xfffffffc
#define BCHP_CLK_CRITICAL_CTRL_reserved0_SHIFT                     2

/* CLK :: CRITICAL_CTRL :: MIPS_POWER_INTR [01:01] */
#define BCHP_CLK_CRITICAL_CTRL_MIPS_POWER_INTR_MASK                0x00000002
#define BCHP_CLK_CRITICAL_CTRL_MIPS_POWER_INTR_SHIFT               1

/* CLK :: CRITICAL_CTRL :: BSP_POWER_INTR [00:00] */
#define BCHP_CLK_CRITICAL_CTRL_BSP_POWER_INTR_MASK                 0x00000001
#define BCHP_CLK_CRITICAL_CTRL_BSP_POWER_INTR_SHIFT                0

/***************************************************************************
 *CRITICAL_STATUS - Hardware power management critical status.
 ***************************************************************************/
/* CLK :: CRITICAL_STATUS :: reserved0 [31:01] */
#define BCHP_CLK_CRITICAL_STATUS_reserved0_MASK                    0xfffffffe
#define BCHP_CLK_CRITICAL_STATUS_reserved0_SHIFT                   1

/* CLK :: CRITICAL_STATUS :: TIMEOUT_ERR [00:00] */
#define BCHP_CLK_CRITICAL_STATUS_TIMEOUT_ERR_MASK                  0x00000001
#define BCHP_CLK_CRITICAL_STATUS_TIMEOUT_ERR_SHIFT                 0

/***************************************************************************
 *REGULATOR_2P5_VOLTS - 2.5V Regulator Voltage Adjustment
 ***************************************************************************/
/* CLK :: REGULATOR_2P5_VOLTS :: reserved0 [31:04] */
#define BCHP_CLK_REGULATOR_2P5_VOLTS_reserved0_MASK                0xfffffff0
#define BCHP_CLK_REGULATOR_2P5_VOLTS_reserved0_SHIFT               4

/* CLK :: REGULATOR_2P5_VOLTS :: ADJUST [03:00] */
#define BCHP_CLK_REGULATOR_2P5_VOLTS_ADJUST_MASK                   0x0000000f
#define BCHP_CLK_REGULATOR_2P5_VOLTS_ADJUST_SHIFT                  0

/***************************************************************************
 *TEMP_MON_CTRL - Temperature monitor control.
 ***************************************************************************/
/* CLK :: TEMP_MON_CTRL :: reserved0 [31:10] */
#define BCHP_CLK_TEMP_MON_CTRL_reserved0_MASK                      0xfffffc00
#define BCHP_CLK_TEMP_MON_CTRL_reserved0_SHIFT                     10

/* CLK :: TEMP_MON_CTRL :: RESETB [09:09] */
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_MASK                         0x00000200
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_SHIFT                        9
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_Reset                        0
#define BCHP_CLK_TEMP_MON_CTRL_RESETB_Normal                       1

/* CLK :: TEMP_MON_CTRL :: PWRDN [08:08] */
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_MASK                          0x00000100
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_SHIFT                         8
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_Powered_Up                    0
#define BCHP_CLK_TEMP_MON_CTRL_PWRDN_Powered_Down                  1

/* union - case Combined [07:00] */
/* CLK :: TEMP_MON_CTRL :: Combined :: CTRL [07:00] */
#define BCHP_CLK_TEMP_MON_CTRL_Combined_CTRL_MASK                  0x000000ff
#define BCHP_CLK_TEMP_MON_CTRL_Combined_CTRL_SHIFT                 0

/* union - case Separate [07:00] */
/* CLK :: TEMP_MON_CTRL :: Separate :: BIAS_ADJUST [07:02] */
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BIAS_ADJUST_MASK           0x000000fc
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BIAS_ADJUST_SHIFT          2

/* CLK :: TEMP_MON_CTRL :: Separate :: REF_PWRDN [01:01] */
#define BCHP_CLK_TEMP_MON_CTRL_Separate_REF_PWRDN_MASK             0x00000002
#define BCHP_CLK_TEMP_MON_CTRL_Separate_REF_PWRDN_SHIFT            1
#define BCHP_CLK_TEMP_MON_CTRL_Separate_REF_PWRDN_Powered_Up       0
#define BCHP_CLK_TEMP_MON_CTRL_Separate_REF_PWRDN_Powered_Down     1

/* CLK :: TEMP_MON_CTRL :: Separate :: BGAP_PWRDN [00:00] */
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BGAP_PWRDN_MASK            0x00000001
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BGAP_PWRDN_SHIFT           0
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BGAP_PWRDN_Powered_Up      0
#define BCHP_CLK_TEMP_MON_CTRL_Separate_BGAP_PWRDN_Powered_Down    1

/***************************************************************************
 *TEMP_MON_STATUS - Temperature monitor status.
 ***************************************************************************/
/* CLK :: TEMP_MON_STATUS :: CLK25K [31:31] */
#define BCHP_CLK_TEMP_MON_STATUS_CLK25K_MASK                       0x80000000
#define BCHP_CLK_TEMP_MON_STATUS_CLK25K_SHIFT                      31

/* CLK :: TEMP_MON_STATUS :: reserved0 [30:24] */
#define BCHP_CLK_TEMP_MON_STATUS_reserved0_MASK                    0x7f000000
#define BCHP_CLK_TEMP_MON_STATUS_reserved0_SHIFT                   24

/* CLK :: TEMP_MON_STATUS :: STROBE_COUNT [23:16] */
#define BCHP_CLK_TEMP_MON_STATUS_STROBE_COUNT_MASK                 0x00ff0000
#define BCHP_CLK_TEMP_MON_STATUS_STROBE_COUNT_SHIFT                16

/* CLK :: TEMP_MON_STATUS :: reserved1 [15:09] */
#define BCHP_CLK_TEMP_MON_STATUS_reserved1_MASK                    0x0000fe00
#define BCHP_CLK_TEMP_MON_STATUS_reserved1_SHIFT                   9

/* CLK :: TEMP_MON_STATUS :: DATA [08:00] */
#define BCHP_CLK_TEMP_MON_STATUS_DATA_MASK                         0x000001ff
#define BCHP_CLK_TEMP_MON_STATUS_DATA_SHIFT                        0

/***************************************************************************
 *SCRATCH - clock_gen  Scratch register
 ***************************************************************************/
/* CLK :: SCRATCH :: VALUE [31:00] */
#define BCHP_CLK_SCRATCH_VALUE_MASK                                0xffffffff
#define BCHP_CLK_SCRATCH_VALUE_SHIFT                               0

#endif /* #ifndef BCHP_CLK_H__ */

/* End of File */
