/*
 * TiVo initialization and setup code
 *
 * Copyright (C) 2009 TiVo Inc. All Rights Reserved.
 */
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/tivoconfig.h>
#include <linux/string.h>
#include <asm/bootinfo.h>

int __init tivo_init(void)
{
    TivoConfigValue brev, brid;
    char *brev_param;

        int fCanOverride = 0;
#ifdef CONFIG_TIVO_DEVEL
        fCanOverride = 1;
#endif
        brev = kTivoConfigBoardIDMojave;
        if (fCanOverride) {
                brev_param = strstr(arcs_cmdline, "brev=");
                if (brev_param) {
                        brev = simple_strtoul(brev_param + 5, NULL, 0) << 8;
                }
        }
        
    InitTivoConfig( brev );
    SetTivoConfig( kTivoConfigBoardID, brev | brid );

    // Use /dev/ttyS0 as the default kernel console if none specified
    if (!strstr(arcs_cmdline, "console=")) 
        strncat(arcs_cmdline, " console=ttyS0", CL_SIZE - 1 - strlen(arcs_cmdline));
    
    if (!strstr(arcs_cmdline, "HpkImpl=")) 
        strncat(arcs_cmdline, " HpkImpl=Gen06D", CL_SIZE - 1 - strlen(arcs_cmdline));

#if !defined (CONFIG_TIVO_DEVEL)
    /*WAR for bug 207627 */ 
    strncat(arcs_cmdline, " dsscon=true", CL_SIZE - 1 - strlen(arcs_cmdline));
#endif

    return 0;
}
