/*
 * TiVo initialization and setup code
 *
 * Copyright (C) 2010 TiVo Inc. All Rights Reserved.
 */
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/tivoconfig.h>
#include <linux/string.h>
#include <asm/bootinfo.h>
#include <linux/module.h>

// defined in cfe_call.c
int tivo_get_cfe_env_variable(void *name_ptr, int name_length, void *val_ptr,  int val_length);

/* In arc/mips/brcmstb/memory.c */
extern int __init bmem_setup(char *str);

int __init tivo_init(void)
{
    TivoConfigValue size,address;
    char            buf[74];

    InitTivoConfig( (TivoConfigValue) kTivoConfigBoardIDGimbal );

    /* if bmem is not configured from the cmdline */
    if (!strstr(arcs_cmdline, "bmem="))
    {
        /* Get the bmem settings from tivoconfig and set */
        if((GetTivoConfig( kTivoConfigBmem0Size, &size ) == 0) &&
           (GetTivoConfig( kTivoConfigBmem0Address, &address ) == 0))
        {
            sprintf(buf,"%lu@%lu",size,address);
            bmem_setup(buf);

            /* Second region to configure? */
            if((GetTivoConfig( kTivoConfigBmem1Size, &size ) == 0) &&
               (GetTivoConfig( kTivoConfigBmem1Address, &address ) == 0))
            {
                sprintf(buf,"%lu@%lu",size,address);
                bmem_setup(buf);
            }
        }
        else
        {
            printk("Warning: No bmem settings properly configured via cmdline or tivoconfig\n");
        }
    }

#ifdef CONFIG_SMP
    if (!strstr(arcs_cmdline, "maxcpus="))
    {
        /* forcing to 1 CPU until SMP is fully debugged */
        strncat(arcs_cmdline, " maxcpus=1", CL_SIZE - 1 - strlen(arcs_cmdline));
    }
#endif

    // Use /dev/ttyS0 as the default kernel console if none specified
    if (!strstr(arcs_cmdline, "console=")) 
        strncat(arcs_cmdline, " console=ttyS0,115200", CL_SIZE - 1 - strlen(arcs_cmdline));

    if (!strstr(arcs_cmdline, "HpkImpl=")) 
        strncat(arcs_cmdline, " HpkImpl=Gen07C", CL_SIZE - 1 - strlen(arcs_cmdline));
        
    // Handle the 'ip=' check a little differently, as we don't want to catch things
    // that end with 'ip=' (e.g. "plip=tmid"). We probably won't use anything that
    // meets this criterion, but you never know.
    // We'll look at the beginning of the line for "ip=", as well as elsewhere for
    // " ip=" (with a leading space) to cover all possible cases.
    if ( (strncmp(arcs_cmdline, "ip=", 3) != 0) && 
         (!strstr(arcs_cmdline, " ip=")) )
        strncat(arcs_cmdline, " ip=dhcp", CL_SIZE - 1 - strlen(arcs_cmdline));

    return 0;
}
